2015-07-04  Thomas E. Dickey  <tom@invisible-island.net>

	* package/debian/copyright, package/debian/changelog, package/ded-12.0.spec, COPYING:
	bump

	* configure: regen

	* aclocal.m4: resync with my-autoconf

2015-05-02  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess: 2015-03-04

	* config.sub: 2015-03-08

2014-12-15  Thomas E. Dickey  <tom@invisible-island.net>

	* user/ded.man: formatting fixes

2014-12-14  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dlog.c: fix a regression

	* package/debian/changelog, package/ded-12.0.spec: bump

	* src/dedsort.c: add limit-check

	* src/dedscan.c: fix regression from last change...

	* src/dedscan.c, src/ftree.c, src/dedname.c: add limit-check

	* src/ftree.c: coverity reported possible integer overflow - add check

	* src/dedscan.c: add limit-check

	* src/ftree.c: add limit-checks

	* src/dedname.c, src/dedscan.c: add limit-check

	* src/ftree.c: add limit-checks

	* src/ded.c: add limit-check

	* src/deddoit.c: fix regression due to last change

	* src/deddoit.c: add limit-check

	* src/dedsort.c: eliminate strcpy for CMP2S()

	* src/dedline.c: add limit-check

	* src/dedscan.c, src/ded.h, src/dedring.c:
	tell compiler more about limits

	* src/dedline.c: coverity - add limit-check

	* src/dedline.c: coverity - add limit-checks

	* src/sortset.c: coverity #78330 - add limit-check

	* src/dedmake.c: coverity #78329 - add limit-check

	* src/ftree.c: coverity #78321 - add limit-check

	* src/dlog.c: coverity #78309 - add limit-check

	* src/ftree.c: coverity #78306 - add check for negative size

	* src/ftree.c: coverity 78542 - add check for negative index

	* src/dedline.c: tell compiler more about buffer-sizes

	* src/ftree.c:
	coverity - another resource leak, as well as not checking return-value

	* src/ftree.c: coverity #78302 - unchecked return-value from limits()

	* src/ftree.c:
	coverity reported a bug: incorrect check for return value of open()

	* src/ded.c: coverity #78299 - unchecked return value

	* src/ftree.c: coverity #78301 - missing "FALLTHRU" comment

	* src/ftree.c: coverity #78313 - resource leak

	* src/ded.c: coverity #78320 - unbounded buffer from getenv()

2014-12-12  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c: coverity #78320 - possible buffer overrun

	* src/dlog.c: coverity #78328 - uninitialized pointer

	* src/ftree.c: coverity #78313 - file-descriptor leak on error

	* src/dedscan.c, src/ftree.c:
	coverity #78331 - readlink buffer-size mismatch

2014-07-22  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedline.c, src/dedtype.c, src/showpath.c, src/dedview.c, src/ded2s.c:
	cygwin-compiler-warnings

	* src/ded2s.c, src/dedcolor.c: minix3.2-build-fixes

	* src/dedscan.c:
	improve support for caseless filenames to avoid dropping items from the ftree cache.

	* configure: regen

	* aclocal.m4: resync with my-autoconf

	* COPYING, package/debian/changelog, package/debian/copyright, package/ded-12.0.spec:
	bump

2014-04-19  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub: 2014-04-03

	* config.guess: 2014-03-23

2013-12-05  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c, src/sortset.c: workaround for -Wlogical-op

	* user/makefile.in: honor datarootdir

	* package/debian/changelog, package/debian/copyright, COPYING, package/ded-12.0.spec:
	bump

	* configure: regen

	* aclocal.m4: using CF_PROG_CC, deprecating pre-ANSI C checks

	* configure.in: use CF_PROG_CC

	* makefile.in: honor datarootdir

	* aclocal.m4: resync with my-autoconf

2013-10-25  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub: 2013-10-01

2013-09-07  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess: 2013-06-10

2012-01-13  Thomas E. Dickey  <tom@invisible-island.net>

	* package/debian/changelog, package/ded-12.0.spec, COPYING: bump

	* src/ded2s.c, src/deddoit.c, src/dedline.c, src/dedtags.c, src/dedtype.c, src/deduniq.c:
	gcc-warnings

2011-02-22  Thomas E. Dickey  <tom@invisible-island.net>

	* package/debian/changelog, package/ded-12.0.spec: bump

	* src/ded.c: correct check for help-file location.

2011-02-05  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.h: gcc warning

2011-01-30  Thomas E. Dickey  <tom@invisible-island.net>

	* configure: regen

	* src/ded.h, src/dedscan.c, src/ded.c, user/ded.man:
	merge -d option and DED_DEBUG environment variable.
	fix a bug that caused exit when piping a single filename (not directory) to ded.

	* COPYING: bump

	* aclocal.m4:
	resync with my-autoconf, to deprecate ${name-value} in favor of ${name:-value}

	* package/debian/changelog, package/ded-12.0.spec: bump

2010-09-28  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess: 2010-09-24

2010-09-10  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub: 2010-09-11

2010-07-09  Thomas E. Dickey  <tom@invisible-island.net>

	* package/debian/changelog, package/ded-12.0.spec: add "-m" option

	* user/ded.man: re-order options alphabetically
	document -m, -O and -V options

	* src/ded.c: add -m option, to control whether we use the mouse

2010-07-05  Thomas E. Dickey  <tom@invisible-island.net>

	* package/debian/changelog, package/ded-12.0.spec: bump

	* src/makefile.2nd, makefile.in, test/makefile.in, user/makefile.in:
	s/run_test/check/

2010-07-04  Thomas E. Dickey  <tom@invisible-island.net>

	* makefile.in:
	declare datadir here, needed for installing using --prefix

	* src/ded.c, src/dedcolor.c, src/dedview.c, src/dedline.c, src/dlog.c, src/dedring.c, src/dedsort.c, src/ded2s.c, src/dedread.c, src/ftree.c, src/restat.c, src/dedwait.c, src/dedsize.c, src/dedscan.c, src/dedtype.c, src/ded.h, src/dedmake.c, src/showpath.c, src/sortset.c, src/dedfind.c, src/deddoit.c, src/dedshow.c, src/dedblip.c, src/dedmsgs.c:
	stricter gcc warnings

	* configure: regen

	* aclocal.m4:
	workaround for finding td_lib.mk when $prefix has not been mkdir'd

2010-07-03  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c, src/ded.h: stricter gcc warnings

	* package/ded-12.0.spec:
	use symbols to iron out diff's between related spec files

	* package/debian/changelog: bump

2010-07-02  Thomas E. Dickey  <tom@invisible-island.net>

	* package/debian/rules, package/debian/copyright, package/debian/control, package/debian/changelog, package/debian/watch, package/debian/source/format:
	RCS_BASE

2010-07-01  Thomas E. Dickey  <tom@invisible-island.net>

	* package/debian/RCS, package/debian/source/RCS: PERMIT FILE

2010-06-30  Thomas E. Dickey  <tom@invisible-island.net>

	* configure: regen

	* src/makefile.in: allow for different compiler/options than td_lib

	* configure.in:
	add --enable-warnings here, to allow different compiler/options than td_lib

	* aclocal.m4: add macros for --enable-warnings

2010-06-27  Thomas E. Dickey  <tom@invisible-island.net>

	* package/debian/docs: RCS_BASE

2010-06-24  Thomas E. Dickey  <tom@invisible-island.net>

	* src/makefile.2nd: use "ded" subdir of data-directory

	* package/ded-12.0.spec: move data files to data-directory

	* user/ded.man:
	configure the help- and color-files in the data directory

	* src/dedcolor.c: look for color-configuration in data-directory

	* src/ded.c: look first for help-file in data-directory

	* makefile.in:
	install data-files in data-directory (don't put help-file in bin-directory)

	* src/makefile.2nd: provide for specifying data-directory location

2010-06-23  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: quote params of ifelse()

2010-05-25  Thomas E. Dickey  <tom@invisible-island.net>

	* package/ded-12.0.spec: package for 20100525

2010-05-24  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedcolor.c, src/dedfind.c, src/dedline.c, src/dedscan.c, src/dedshow.c, src/dedsigs.c, src/dedtype.c, src/dedview.c, src/dedwait.c, src/dlog.c, src/ftree.c, src/showpath.c:
	fix warnings from clang --analyze

	* aclocal.m4:
	minor fixes to CF_HEADER_PATH, CF_LIBRARY_PATH, CF_SUBDIR_PATH to reset the
	target variable, avoiding conflicts with other uses.

2010-05-02  Thomas E. Dickey  <tom@invisible-island.net>

	* package/ded-12.0.spec: correct option for specifying ncursesw library

2010-04-20  Thomas E. Dickey  <tom@invisible-island.net>

	* package/debian/compat: RCS_BASE

2010-03-23  Thomas E. Dickey  <tom@invisible-island.net>

	* package/ded-12.0.spec: new release, with spec-file included

	* configure: regen

	* COPYING: update

	* makefile.in, user/makefile.in: s/deinstall/uninstall/

	* package/ded-12.0.spec:
	modify to show the nominal version "12.x" in the rpm file.

	* aclocal.m4:
	modify CF_FIND_TDLIB to allow td_lib to be a subdirectory of ded.  That
	simplifies an RPM script.

	* package/ded-12.0.spec: RCS_BASE

	* makefile.in: remove an unused assignment for INSTALL_MAN

	* makefile.in: use $DESTDIR
	create bindir if not existing
	use mkdir -p rather than mkdirs.sh script

	* user/makefile.in: add $DESTDIR
	create mandir if not existing.

	* package/RCS: PERMIT FILE

2010-01-14  Thomas E. Dickey  <tom@invisible-island.net>

	* configure: regen

	* aclocal.m4: change convention for CF_DISABLE_ECHO

2009-12-31  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess: 2009-12-30

	* config.sub: 2009-12-31

2009-11-15  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedscan.c:
	fix an out-of-bounds indexing in dedscan() when processing ^R pattern on
	pathnames read from stdin.  Also improve chunking in reallocs by append()

2009-10-16  Thomas E. Dickey  <tom@invisible-island.net>

	* user/ded.man: add SVN

2009-10-15  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.h:
	enable RCS/SCCS/... mode if CVS or SVN are found, even if no RCS/SCCS is found

	* configure: regen with autoconf-252

	* aclocal.m4: resync with my-autoconf (lots of changes)

2009-08-25  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess, config.sub: RCS_BASE

2007-03-25  Thomas E. Dickey  <tom@invisible-island.net>

	* mkdirs.sh: resync with my-autoconf

2005-01-24  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedview.c, src/dedtype.c, src/dedscan.c, src/ded2s.c:
	Intel compiler warning

	* aclocal.m4: comments for CF_FIND_LIBRARY

	* src/ded2s.c: add a cast to quiet compiler

2004-09-16  Thomas E. Dickey  <tom@invisible-island.net>

	* configure: RCS_BASE

	* aclocal.m4: update CF_CHECK_CACHE

	* COPYING: change to diffstat's style of copyright

	* user/ded.man: add copyright notice

	* user/ded.man:
	documented the -D option and the way it affects the T command

	* user/ded.man: workarounds for groff-breakage.

2004-09-07  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedline.c: implement -D option, for editing dates

	* src/inline.c: tidying up whitespace

	* src/ded.c: added -D option, for editing dates

	* src/ded.h: implement -D option

2004-03-18  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedname.c, src/ftree.c:
	update old_wd if we rename the directory it was.

2004-03-08  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedview.c: add a cast to ensure that "%ld" honored.

	* configure.in: remove certify

2004-03-07  Thomas E. Dickey  <tom@invisible-island.net>

	* src/boxchars.c, src/ded.c, src/ded2s.c, src/dedblip.c, src/dedcmds.c, src/dedcolor.c, src/deddoit.c, src/deddump.c, src/dedfind.c, src/dedfree.c, src/dedline.c, src/dedmake.c, src/dedmsgs.c, src/dedname.c, src/dedread.c, src/dedring.c, src/dedscan.c, src/dedshow.c, src/dedsigs.c, src/dedsize.c, src/dedsort.c, src/dedtags.c, src/dedtype.c, src/deduniq.c, src/dedview.c, src/dedwait.c, src/dlog.c, src/ftree.c, src/history.c, src/inline.c, src/restat.c, src/showpath.c, src/sortset.c:
	remove K&R support, indent'd

	* src/ded.h: remove K&R support

	* makefile.in: remove certify

2003-11-29  Thomas E. Dickey  <tom@invisible-island.net>

	* install-sh: resync with my-autoconf

2003-07-02  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c:
	noticed (I don't use it that much anymore) that ded was not resizing.
	One possible cause (actually was in winresize()), was that dedsigs()
	was called before initscr().  That made ded's sigwinch handler override
	ncurses'.  Putting it after lets ncurses return a KEY_RESIZE in cmdch(),
	which works nicer than the arrangement where ded does it all.

	* src/ded.h: change tag_bytes to a long, since off_t != long (NetBSD)

	* src/dedcolor.c:
	remove A_INVIS, since NetBSD curses does not implement it, and it was only
	amusing anyway.

2003-04-26  Thomas E. Dickey  <tom@invisible-island.net>

	* user/ded.man: add CVS to list of things DED_CM_LOOKUP covers

	* aclocal.m4: use version-number/timestamp on individual macros.
	extended/fixed CF_SUBDIR_PATH

2002-12-21  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c: change to use CF_LOCALE

	* src/dedview.c, src/dedsort.c: gcc 3.2 warning

	* src/ded.c:
	finally needed setlocale(), since ncursesw won't draw lines w/o it.

	* aclocal.m4, configure.in: resync with my-autoconf

2002-07-05  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c, src/ded.h, src/dedcolor.c:
	change ifdef convention to work with "gcc -Wundef"

	* src/dedline.c, src/dedmake.c, src/dedname.c, src/dedscan.c, src/showpath.c:
	changed ifdef convention to work with "gcc -Wundef"

	* src/ded.c, src/ded2s.c, src/dedcolor.c, src/dedtype.c, src/dedview.c, src/ftree.c, src/ded.h:
	change ifdef convention to work with "gcc -Wundef"

2002-07-03  Thomas E. Dickey  <tom@invisible-island.net>

	* src/deddoit.c, src/dedscan.c, src/dedtype.c, src/dlog.c:
	use UCH() to fix char-subscript warnings in gcc.

2002-06-29  Thomas E. Dickey  <tom@invisible-island.net>

	* mkdirs.sh: resync with my-autoconf

2002-04-16  Thomas E. Dickey  <tom@invisible-island.net>

	* user/ded.man: check-manpage nits

	* user/ded.man: implemented 3T command

	* src/ded.hlp, src/ded.c: implemented 3T

	* src/ded2s.c: implemented 3T (to show absolute seconds)

	* src/dedsort.c: I_opt and G_opt may have values greater than 2

2001-12-11  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dlog.c: nit

	* src/ftree.c, src/dedscan.c: change interface to rcs_dir()

2001-12-07  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c:
	Cygwin implements a /cygdrive which does not appear when scanning "/".
	But we have to assume it's there, otherwise rescanning "/" causes the
	"/cygdrive" entry to be removed.  Also prevent "/" from being purged,
	for the same reason.

2001-07-15  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: overrides for SHELL and CDPATH

	* src/dedscan.c:
	fix an oops (uninitialized value) that appears only on U/Win...

2001-07-11  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedring.c: rename 'ring' to work with U/Win

2001-06-22  Thomas E. Dickey  <tom@invisible-island.net>

	* install-sh: newer version uses ':' rather than 'true'

2001-05-15  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dlog.c: rename 'newline' param to work with U/Win

	* src/dedcolor.c: rename 'color_names[]' to work with U/Win

2001-01-30  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedscan.c: lookup based on z_real_name

	* src/dedscan.c: check for null-pointer in alloc_name()

	* src/ded.c: retain abort(), but make it optional

2001-01-29  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedfree.c, src/dedscan.c, src/dedsort.c, src/ded.h:
	caseless-filenames

	* src/ded.h, src/dedsort.c, src/dedscan.c, src/dedfree.c, src/dedcolor.c, src/ded2s.c, src/dedview.c:
	renaming-FLIST-members

	* src/ded.c: don't abort on newterm/initscr failure...

	* aclocal.m4: workaround for autoconf 2.49c

2000-12-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cnames.rc: sync'd with ccodes.rc

	* src/ccodes.rc: trim blanks

2000-12-23  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ccodes.rc: add qansi-m

2000-12-02  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedcolor.c:
	renamed strlcpy() to strlwrcpy() to accommodate bogus function on FreeBSD 4.x

2000-11-01  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ccodes.rc: resync with sl36

	* aclocal.m4: fix path-lookup with CF_PROG_EXT

	* aclocal.m4: added CF_LIB_PREFIX dependency

	* aclocal.m4: add CF_LIB_PREFIX and CF_PATHSEP
	got this to build on OS/2 EMX

	* src/ftree.c:
	oops - I had left caller_top not initialized if SIGWINCH was not defined.
	it's not defined on OS/2 EMX

	* src/ccodes.rc: add 'ansi' to list of color terminals

	* configure.in: use CF_LIB_PREFIX

2000-10-19  Thomas E. Dickey  <tom@invisible-island.net>

	* user/ded.man: typo

	* user/ded.man: add -p option

	* src/version.h:
	19 Oct 2000, add '-p' option to print selected pathnames.
	08 Apr 2000, remove unneeded call for ncurses' trace().
	24 Jan 2000, revised directory-macros.
	24 Jan 2000, open .ftree in binary-mode for OS/2 EMX and Cygwin.
	16 Aug 1999, add cast to work with BeOS's long long ino_t.
	16 Aug 1999, use ttyname() for BeOS port.
	10 Aug 1999, change -b to a toggle, allow curses to decide if box characters are available.
	09 Aug 1999, allow color names to be mixed case, in any order.
	21 Jul 1998, show hostname prefix for pathname
	21 Jul 1998, change filelist header layout to allow for hostname prefix to to pathname.
	29 May 1998, compile with g++
	04 Mar 1998, rename 'y' sort to 'o'.
	15 Feb 1998, add home/end/ppage/npage keys.
	15 Feb 1998, remove special code for apollo sr10.  Correct a missing 'else' in time2s that caused future dates to be formatted as in the past.
	15 Feb 1998, remove special code for apollo sr10.  add home/end/ppage/npage cases.  change tag/untag to repaint faster.
	15 Feb 1998, corrected ifdef'ing of realpath vs chdir.

	* src/dedring.c: add ring_tags()

	* src/ded.c:
	if we have newterm() and the -p option is set, print the selected names at
	the end of execution to stdout.

	* src/ded.h: add ring_tags()

2000-10-18  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedline.c, src/ded2s.c: signed/unsigned warning

	* aclocal.m4: misc updates, mainly for searching for headers/libraries

2000-04-08  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c: I didn't really need to reset trace() for ncurses

2000-01-24  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: resync with my-autoconf (minor changes)

	* src/ftree.c: don't bother making zero[] const (it's inconsistent).
	open .ftree file in binary mode using O_BINARY flag defined on PC ports.
	use NAMLEN() macro

	* src/dedtype.c: use NAMLEN() macro

2000-01-17  Thomas E. Dickey  <tom@invisible-island.net>

	* src/makefile.in:
	add $x (PROG_EXT) to path for ../bin/ded, for OS/2 EMX

	* src/ded.c:
	the whoami string may be modified by which() to add a .exe for OS/2 EMX.
	simply overwrite the suffix (if any) with the ".hlp" to construct ded.hlp

1999-11-30  Thomas E. Dickey  <tom@invisible-island.net>

	* mkdirs.sh: OS/2

1999-08-16  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c:
	handle read from pipe on BeOS, which has no /dev/tty (just a bunch of pty's
	that can be found with ttyname()).

	* src/ded.h: fallback definition for BeOS's S_IEXEC

	* src/dedtype.c:
	arg: BeOS has long long type used for ino_t (so I have to cast it down to
	long to make it portable).

1999-08-10  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c: change -b to toggle

	* src/deddoit.c:
	SCO sets errno to EPERM in system() even when there's no error.

1999-08-09  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedcolor.c:
	duh.  I never did test with the .dir_colors file using names.  debugged this
	on SCO, added the ability to use mixed case names.

	* src/cnames.rc: RCS_BASE

1999-08-07  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ccodes.rc: updates from Slackware 3.6

1998-12-09  Thomas E. Dickey  <tom@invisible-island.net>

	* install-sh: resync with my-autoconf (copyright)

1998-09-17  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c:
	fix so the -i option "works" even when I don't have color, and
	check the length of the command-line sort-options so I don't accidentally
	assume "-swb" is the same as "-bsw"

1998-07-21  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedline.c: oops: wrong ifdef for chown vs chgrp

	* src/showpath.c: show hostname prefix on pathname

	* src/ftree.c: changed showpath so we show the hostname

	* src/dedview.c: reordered the filelist header

1998-07-02  Thomas E. Dickey  <tom@invisible-island.net>

	* src/deddoit.c: missed a 'y' to 'o' change

1998-05-30  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c: correction - I did the 'ENTRIES' code on Mar 20.

	* src/dedsort.c: compensate for const change in td_lib

1998-05-29  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c: compile with g++
	fix for OSF/1 core dump

	* src/dedring.c, src/deduniq.c, src/dedsigs.c, src/ded.c, src/ded.h:
	compile with g++

	* src/ded.c: nits

1998-03-04  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedsort.c: missed one on renaming.

1998-03-01  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedmake.c: missed an if-then-else in the last change

	* src/makefile.2nd: add @PROG_EXT@

	* src/dedmake.c: comment

	* src/dedline.c: build on OS/2 EMX

	* src/dedmake.c: OS/2 EMX doesn't have 'link()'

	* src/ded2s.c:
	mods to build on EMX, which has no S_ISVTX, S_IFBLK or major/minor macros

	* src/ded.h:
	mods to build on EMX, which has no link/symlink, nor S_IFBLK

	* configure.in: pass '$AWK' to config.status

1998-02-20  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: minor nits, from other scripts

1998-02-19  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c:
	reuse 'apollo' code to attempt resize/repaint on 'w' command

1998-02-16  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded2s.c, src/ded.c, src/ded.h, src/dedring.c: rename:O_opt

	* src/showpath.c: gcc signed/unsigned

	* src/ded.c, src/restat.c, src/dedview.c, src/ded.h: unused params

	* src/dedtype.c: gcc warnings (signed/unsigned)

	* src/ded.h: make curfile unsigned, fix warnings

	* src/dedview.c, src/dedscan.c: gcc warnings (signed/unsigned)

	* src/deduniq.c: signed/unsigned nits

	* src/dedline.c: more compiler warnings (signed/unsigned)

	* src/dedfind.c:
	make this handle unsigned gbl->curfile, as well as make it a little more
	robust wrt empty search strings.

	* src/dedfind.c: workaround so we can make curfile unsigned

	* src/ded.c: missed 'O' to 'Y' change when I rolled back a test-change

1998-02-15  Thomas E. Dickey  <tom@invisible-island.net>

	* src/version.h:
	generate all makefiles, making this portable to systems having 'make'
	programs w/o archive rules.
	remove apollo_sr10 code (because it's obsolete, and because I want to be
	able to re-use some of the command-codes).  This frees up o/O, to which I
	renamed y/Y (was lock owner).  That lets me reserve y/Y for vertical split.
	Started working on compiler warnings (gcc's signed/unsigned).
	Add home/end/ppage/npage keys where appropriate.
	Make the tag/untag operations faster by moving repaint out of repeat-loop.
	Correct a missing 'else' that caused future-dates to be formatted as if they
	were in the current week.
	Correct an ifdef for systems that have no 'realpath()'; was invoking chdir
	and this caused incorrect result in path_RESOLVE().

	* src/dedscan.c: comment

	* src/dedtype.c: signed/unsigned nits

	* src/ded.h, src/ded.c: more signed/unsigned nits

	* src/dedview.c: signed/unsigned nits

	* src/dedscan.c:
	corrected ifdef'ing for HAVE_REALPATH, which incorrectly did a chdir(old_wd)
	when I didn't have 'realpath()'.

	* src/dedline.c: more signed/unsigned nits

	* src/ded2s.c:
	oops: missed an 'else' in time2s, so all future dates were formatted as if
	they were in the current week.

	* src/dedtags.c:
	pass 'count' arg to tag/untag functions, letting the caller repaint the
	screen at the end, rather than doing it a line at a time (duh).

	* src/ded.c:
	rewrote '+' and '-' operations so I do repaint at the END of the command,
	rather than putting a lot of non-refresh'ed operations.

	* src/ded.h:
	change interface to tag/untag functions so I can do refresh at the end
	of operation (makes it faster)

	* src/dedscan.c: more compiler warnings

	* src/ftree.c: add home/end/ppage/npage keys
	fix some compiler warnings

	* src/ded.hlp:
	renamed y/Y to o/O, so I can use 'y' as mnemonic for vertical-split

	* src/dedtype.c: add home/end/ppage/npage keys

	* src/dedview.c: more fixes for signed/unsigned

	* src/ded.h: upLINE, downLINE param (unsigned)

	* src/ded.c: add home/end/npage/ppage keys

	* src/ded.c, src/ded.h: fixname param (unsigned)

	* src/deddoit.c: for_each_file() index (unsigned)

	* src/deddoit.c, src/dedmake.c: use for_each_file()

	* src/dedscan.c: compiler warnings

	* src/restat.c: working on signed/unsigned warnings.

	* src/dedline.c: working on compiler-warnings.

	* src/dedtags.c, src/restat.c: use 'for_each_file()'

	* src/ded.c: fix some unsigned/signed compares (no object change)

	* src/ded.h: bad idea...

	* src/ded.h: add macro 'for_each_file()"
	change len param in edittext to unsigned.

	* src/sortset.c: change 'y' (lock owner) to 'o'.
	fix some compiler warnings.

	* user/ded.man: remove apollo stuff
	change y/Y lock-owner stuff to o/O (a little more mnemonic, and will also
	let me reserve y/Y for vertical-split - also mnemonic)

	* src/ded.c, src/ded2s.c, src/dedline.c, src/dedring.c, src/dedsort.c, src/sortset.c:
	remove apollo_sr10 code

	* user/ded.man: remove the o/O/P special cases for apollo_sr10

	* src/ded.h: remove support for apollo sr10

	* src/makefile.2nd: use CURSES_LIBS rather than LIB_ARGS

1998-02-02  Thomas E. Dickey  <tom@invisible-island.net>

	* mkdirs.sh: current autoconf

1997-09-16  Thomas E. Dickey  <tom@invisible-island.net>

	* makefile.in: dummy sources-rule for stupid 'make' programs.

1997-09-13  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: add search for <td/ptypes.h>

	* certify/makefile.in: fix warning on distclean rule

	* user/makefile.in: ?

	* user/makefile.in: update install-rule

	* src/ded.h: use 'const' in qsort-comparison

	* src/dedsort.c: use 'const' in qsort comparison

	* src/dedview.c: %ld vs %d

	* src/dedfree.c: int vs unsigned

	* src/restat.c, src/dedtags.c, src/dedcolor.c: int vs size_t

	* src/makefile.2nd: RCS_BASE

	* src/makefile.in: first cut of restructuring

	* src/modules: moved dependency info here

1997-09-12  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: initial cut of CF_SRC_MAKEFILES

	* configure.in: add hooks to generate src/makefile

	* makefile.in: first cut of restructuring

1997-09-11  Thomas E. Dickey  <tom@invisible-island.net>

	* makefile.in: add distclean rule

	* aclocal.m4, user/makefile.in, src/makefile.in, certify/makefile.in, makefile.in, configure.in, test/makefile.in, src/modules:
	RCS_BASE

1997-09-07  Thomas E. Dickey  <tom@invisible-island.net>

	* mkdirs.sh, install-sh: RCS_BASE

1997-06-15  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedview.c: check return-value of setsccreg()

1997-02-11  Thomas E. Dickey  <tom@invisible-island.net>

	* src/version.h:
	fixes to dedscan's handling of common-prefix trimming (97/1, 97/2).
	restructured initialization of dedcolor to use ncurses 'use_default_colors()'.
	move ANSI_VARARGS tests into td_lib configure.
	make dedblip work before curses is initialized.

1997-02-02  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedscan.c:
	fixes a special case where common portion of path was common to all files,
	and was a relative path.  This broke an assumption in path_RESOLVE.

1997-01-18  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.h: moved dedcolor initialize to that module

	* src/ded.c: add init_dedcolor()

	* src/dedcolor.c: add init_dedcolor() to exploit 'use_default_colors()'

1997-01-12  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedscan.c: more mods to single-file argument list.

1997-01-08  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedscan.c:
	wow: long-lasting bug.  If I specified a filename as argument, I didn't
	ensure that the .flist array was allocated.

1996-12-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dlog.c:
	moved condition for ANSI_VARARGS into td_lib configure-script

1996-04-10  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedblip.c:
	mods to make this work before curses is initialized (i.e., when piping
	to ded with "-d" option set).

1996-03-16  Thomas E. Dickey  <tom@invisible-island.net>

	* src/version.h: memory leaks, mod to redoVIEW interface.

	* src/dedring.c: oops: must test 'used_expr' before freeing 'scan_expr'

1996-02-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedring.c: free memory-leak for cmd_sh, scan_expr

	* src/dedmake.c: quiet gcc-warning about -TRUE

1996-02-16  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.h: add 'freed' parm to redoVIEW()

	* src/dedview.c:
	added a parm to 'redoVIEW()' so we don't try to save an obsolete RING
	struct after quitting from it in ftree.c

	* src/ded.c: added parm to redoVIEW

	* src/ftree.c: operations that assign to 'gbl' should redoVIEW

1996-02-09  Thomas E. Dickey  <tom@invisible-island.net>

	* src/history.c: increased history-limit

	* src/version.h: mods to support scrolling regions

	* src/dedcolor.c:
	Linux isn't the only system that I can use the ISO 6429 codes on...

1996-02-01  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedtype.c: removed a redundant 'refresh()'

	* src/ded.c:
	fix a place where I could have typed a non-printing char into a message

1996-01-25  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c:
	in fd_show, check for special case of trashed f_root index (I encountered
	this immediately after upgrading to Slackware 3.0).

1996-01-13  Thomas E. Dickey  <tom@invisible-island.net>

	* src/version.h:
	mods for using the last (80th) column on display.  Use sysvr4 scrolling
	support if available.  Added -i option (temporary) for inverting color.
	Corrected ~ command in ftree.  Corrected infinite-loop in 'dedfind' when
	current file was symlink.

	* src/dedtype.c:
	move search-prompt to bottom of work-area, and fixed bug that left highlighting
	on if an empty reply was given

	* src/dlog.c, src/ded.h, src/ftree.c, src/dedread.c, src/dedline.c, src/dedfind.c, src/deddoit.c, src/ded.c:
	modify interface of dlog_string and dlog_prompt

	* src/dedtype.c:
	more fixes for scrolling: fix 'A' (which must adjust 'jump').  Do lookahead
	to cache line pointers so that JumpBackwards can catch more scrolling cases.
	redefine NumP as macro.

1996-01-10  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedview.c: corrected limit-checking for column in move2row

	* src/dedtype.c:
	corrected boundary check for scrolling that caused jitter at eof

	* src/ftree.c:
	corrected scrolling-amount by taking into account the invisible files

	* src/dedtype.c:
	must keep cursor within scrolling region (on solaris), otherwise entire
	screen scrolls

1996-01-09  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedtype.c: mods to support scrolling regions

	* src/dedview.c: tweaks for scrolling in dedtype.c

	* src/ded.h:
	added flag 'in_dedtype' to prevent clearing workspace area when using A/a
	commands (faster)

	* src/dedview.c: mods for scrolling regions in upLINE and downLINE

	* src/ftree.c:
	in uprow(), downrow(), use 'scrl()' to make the window scroll in the
	right direction, to make refresh faster.

	* src/ded.c:
	turn on 'scrollok()' so 'scrl()' and 'setscrreg()' will work...

1995-12-16  Thomas E. Dickey  <tom@invisible-island.net>

	* src/boxchars.c:
	renamed hline/vline since they're the names of curses-functions

	* src/dedcolor.c: added 'invert_colors' logic

	* src/ded.c: added '-i' option

	* src/ded.h: added 'invert_colors' to dedcolor.c

1995-12-15  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedtype.c: flush out current line on EOF when newline is missing.

1995-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ccodes.rc: RCS_BASE

1995-11-06  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedview.c:
	hack to make ncurses 1.8.7 work (another place where clrtoeol() was getting
	loose)

	* src/ded.h: moved the rcs-ident so 'const' will be defined in config.h

1995-11-05  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedview.c: tuned for bsd44 curses

	* src/dedview.c: additional fix for bsd44 curses

	* src/dedline.c: bsd43 curses wraps when I printw to 80th column

	* src/dedview.c: bsd43 curses wraps when I printw to the 80th column

	* src/version.h: mods to prevent tilde-expansion in list-entries

	* src/ded.c, src/dedring.c, src/deddoit.c, src/dedscan.c:
	tilde-expansion

	* src/version.h:
	mods to handle/display control characters better in shell
	commands. mods to make workspace pager scroll by single
	lines. mods to display in 80th column. mods to use 'const',
	and dyn_string() to cut down on data+bss sections.

	* src/ftree.c: use 'const' & 'dyn_string()' to cut down on data+bss

	* src/dlog.c: cut down on data-section

	* src/dedcolor.c: use 'const'

	* src/dedscan.c: cut down on data-section

	* src/dedring.c: cut down on data section

	* src/dedmsgs.c: cut down on data-section

	* src/ded.h: use 'const' for identifier

	* src/sortset.c: use 'const'

	* src/dedline.c: use 80th column

1995-11-04  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c: dropped SYS5_CURSES definition

1995-11-02  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedview.c: use 80th column

1995-11-01  Thomas E. Dickey  <tom@invisible-island.net>

	* user/ded.man: documented changes to dedtype.c

	* src/dedtype.c:
	rewrote to allow single-row scrolling, and to use 80th column

1995-10-29  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c: added guard for getwd failure in 'do_find()'

1995-10-21  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedshow.c:
	show escaped chars in printable form, so that when we echo a command
	with escaped tabs, carriage returns, we'll see them.

1995-09-05  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c: tweaked interaction between '&' and all_show

	* src/ftree.c: use MODULE_ID

1995-09-04  Thomas E. Dickey  <tom@invisible-island.net>

	* user/ded.man: updated

	* src/version.h:
	changes to support autoconf, /etc/DIR_COLOR.  Added "-b" and "-e" options
	(temporary!), and extended &-toggle to all dot-files.  Some bug-fixes for
	ring-maintainence.  Modified viewport handling to make toggling between
	lists more stable.  In td_lib, added module to support CmVision, and
	environment variables $DED_TREE, $DED_CM_LOOKUP.  Also in td_lib, mods
	for resizing support with ncurses, and using btree to speedup uid2s, gid2s.

	* src/README: did some.

	* src/showpath.c: bsd4.4 curses mods

	* src/showpath.c: use MODULE_ID

1995-09-03  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedring.c:
	oops: I _don't_ want to copy base_of/item_of in ring_copy!

	* src/dedring.c: use MODULE_ID

	* src/dedview.c:
	mods to keep the base_file value stable when switching viewports (to
	make it easier to toggle between similar directories), and to keep
	the curfile value for different viewports of the same list distinct.

	* src/dedview.c: use MODULE_ID

	* src/dedring.c: save base_of, item_of data

	* src/ded.h:
	added viewport stuff for keeping base_file/curfile more stable when
	switching viewports

	* src/dedscan.c:
	moved warning message into path_RESOLVE, since it's argument is freed
	there

	* src/dedscan.c: use MODULE_ID

	* src/deddoit.c: use MAXPATHLEN instead of BUFSIZ

	* src/deddoit.c: use MODULE_ID

	* src/dedring.c: put ifdef's inside debug-log defs for readability

	* src/ded.c: use MAXPATHLEN instead of BUFSIZ
	added flag 'first_scan'

	* src/ded.c: use MODULE_ID

	* src/dedscan.c:
	mods to avoid a hole that results when path_RESOLVE is called while
	processing 'R' command in a directory that's been removed (the parent
	directory was already in the ring, and this caused the ring to get
	a duplicate entry)

	* src/ftree.c: use MAXPATHLEN in places where BUFSIZ isn't right

	* src/dedname.c: use MAXPATHLEN instead of BUFSIZ

	* src/dedname.c: use MODULE_ID

	* src/dedmake.c: use MAXPATHLEN instead of BUFSIZ

	* src/dedmake.c: use MODULE_ID

	* src/dedline.c: use MAXPATHLEN instead of BUFSIZ

	* src/dedline.c: use MODULE_ID

	* src/ded.h: added variable 'first_scan'

	* src/rcfile.c: use MODULE_ID

	* src/ftree.c:
	modified ft_remove to add 'dots' flag, so that when invoked from dedscan,
	we don't accidentally purge dot-files from the .ftree database.

	* src/dedscan.c:
	modified interface of ft_remove() to take into account the extensions to
	&-toggle (A_opt)

	* src/ded.h: added 'dots' parm to ft_remove()

1995-08-30  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c: set initial value of '&' from gbl->A_opt

	* src/ded.c: added '-e' option (to make default in-process)

	* src/dedscan.c: make '&' toggle apply to _all_ dot-files

1995-07-30  Thomas E. Dickey  <tom@invisible-island.net>

	* src/sortset.c: ARO/KEY-definitions

	* src/sortset.c: use MODULE_ID

	* src/ftree.c, src/dlog.c: ARO/KEY-definitions

	* src/dlog.c: use MODULE_ID

	* src/dedtype.c: ARO/KEY-definitions

	* src/dedtype.c: use MODULE_ID

	* src/dedline.c, src/ded.c: ARO/KEY-definitions

1995-07-04  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c, src/ftree.c: use ungetch instead of ungetc

	* src/dedsigs.c: toggle 'enable_winch()'

	* src/dedsigs.c: use MODULE_ID

1995-04-22  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c:
	change interface of 'setmtime()' to avoid clobbering 'atime' value (larry ammann)

	* user/ded.man: corrected description of sort-by-modification date

1995-04-01  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedsize.c: added a 'working' latch

	* src/dedsize.c: use MODULE_ID

1995-01-28  Thomas E. Dickey  <tom@invisible-island.net>

	* src/Makefile: some cleanup of symbols

	* test/test2.cmd: new modules

	* src/ftree.c: fix test-cases with missing log-message

	* test/test1.cmd: new modules

	* src/ded.c: 'box' variable shadows something in bsd-curses

	* src/dedview.c, src/ftree.c: use 'addchnstr()' compatibility function

1995-01-06  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedline.c:
	corrected shift-count used to apply chmod-mask when editing octal number

1994-12-16  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dlog.c: guarded ifdef for <stdarg.h>

	* src/dedview.c, src/ftree.c: corrected ifdef for addchnstr

	* src/ded.h: guarded ifdef for <stdarg.h>

1994-11-22  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.h: added quitVIEW

	* src/dedring.c: invoke quitVIEW to cleanup if we've got to

	* src/dedview.c: added quitVIEW function

	* src/ded.c: suppress type-ahead if we can

1994-11-13  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c: corrected logic that supports -sz, -sZ options

	* src/ftree.c:
	fixes for the special case when I create a leaf directory _before_ the RCS
	leaf (wasn't initializing the NOSCCS flags, etc.)

	* src/ded2s.c: use MODULE_ID

	* src/ded2s.c: use function 'in_group()'

1994-10-19  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedview.c:
	corrected a limit-check for very long colored filenames

1994-10-17  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedcolor.c: compiler warning: uninitialized variable 'found'

	* src/dedcolor.c: use MODULE_ID

1994-10-16  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedring.c:
	supplied a missing abspath for 'E' operation, that caused an extra ring-entry
	to be inserted when following a relative symbolic link.

1994-10-06  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedscan.c: oops: used wrong filename-arg for purge_cmv_dir

1994-10-05  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded2s.c:
	used 'getgroups()' to construct a more accurate executable-access test.
	also corrected root's handling of the permission bits

	* src/dedscan.c:
	moved the code to reset the CmVision directory-state to just before trying
	to get the lock-status.

	* src/history.c: simplified the repeat-count for show-history

	* src/history.c: use MODULE_ID

1994-09-28  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedscan.c:
	invoke code to purge CmVision directory info when (re)scanning a directory

1994-09-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedscan.c: moved some code into td_lib's cm-functions

	* src/ded.c:
	renamed editfile to run_editor, to avoid conflict with file merged from
	portunix library

1994-08-15  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedscan.c: split out 'lastrev()'

1994-08-12  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c, src/ded.c, src/dedscan.c, src/dedview.c, src/boxchars.c:
	lint:SunOS

	* src/boxchars.c: use MODULE_ID

1994-08-02  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedscan.c: added logic to perform DED_CM_LOOKUP

1994-07-29  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c, src/dedview.c:
	addchnstr may be a function in SYS5_CURSES

1994-07-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c:
	made a (temporary?) hack to add "-b" option so I can test SYS5_CURSES w/o
	having box characters.

	* src/boxchars.c: vline, hline are macros somewhere on SunOS.

1994-07-23  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c: addchnstr doesn't move.

	* user/ded.man: added note about '*' repeat-count

	* certify/release.txt: '*' repeat-count

	* src/version.h: Allow '*' to have repeat count.
	Handle empty directories better (force '.').
	Mods for $DED_TREE.
	Revised ftree display; do left/right scroll; renamed 'A' to '&'.
	Support for auxiliary character set/ncurses.
	Added color support.
	Allow resizing (if curses supports it).

	* src/README: fixed some

	* src/history.c:
	added 'show_history()'; shows the command-stack after the current command.

	* src/ded.h: mods to make '*' command accept repeat-count

	* src/dedshow.c:
	made 'dedshow2()' public, so I can use it from 'show_history()'

	* src/dedshow.c: use MODULE_ID

	* src/deddoit.c:
	moved 'cmd_history' to public view, for use in 'show_history()'

	* src/ded.c: split out 'show_history()'

	* src/ftree.c: make the '=' rename command have history

	* src/dedscan.c:
	force '.' into empty filelists to simplify adding files to empty directories

	* src/dedline.c:
	removed a hack that I'd used on the apollo: it was possible to chgrp a
	file from the command line, when the system call 'chown()' wouldn't.

	* src/dedline.c: compiler-warning (gcc on Solaris)

	* certify/release.txt: doc'd a bunch of changes to ftree

	* src/README: fixed some things in ftree...

	* src/ftree.c: use macros for f_mark more extensively
	Modified so that marking entries doesn't set (W) status.
	Modified so that 'R' rescan of directory doesn't modify V-flag.

	* src/ftree.c: implemented repeat-count for 'V' command

	* src/ded.hlp: ftree 'V' command allows repeat-count

	* src/ded.h: added entrypoint 'ft_set_levels()'

	* user/ded.man: added repeat-count for ftree 'V' command

	* src/ftree.c: don't let resize move our cursor

1994-07-19  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c:
	added variable 'viewer_top' to fix something that I broke when working
	on the resizing code: the default value given to the '@' command.

	* src/dedcmds.c: use MODULE_ID

1994-07-18  Thomas E. Dickey  <tom@invisible-island.net>

	* src/README: fix some, break some

	* src/showpath.c:
	modified so that I can highlight the directory-tree's display of the pathname,
	so I can see where the navigation bar lies in the path.

1994-07-17  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded2s.c: split out 'dblks()' as library function 'fileblocks()'

	* src/ded.h:
	split out 'ded_blocks()' as library function 'fileblocks()'

	* src/ftree.c:
	implemented automatic left/right scrolling for the cases in which the
	number of levels of a node is too wide for the display.

1994-07-16  Thomas E. Dickey  <tom@invisible-island.net>

	* user/ded.man: renamed flist-A command to '&'

	* src/README: fixed more.

	* src/ftree.c: renamed 'A' command to '&'
	expanded header area, revising to use more sys5-curses features

	* src/ded.hlp: renamed ftree 'A' to '&' for consistency with filelist

	* src/boxchars.c: corrected location of ending null for bar_ruler

	* src/dedview.c: recoded scale using boxchars module

	* src/boxchars.c: RCS_BASE

	* src/ftree.c: use new module boxchars.c

	* src/ded.h, src/Makefile: added boxchars.c

	* src/ded.c: enable boxchars by default

	* src/dedcolor.c:
	make my choice of ftype/ftype2 consistent with Linux's ls.

	* src/README: bug didn't come back (yet)

	* src/dedview.c:
	adjusted so that we color only the name, not the other stuff made by ded2s

	* src/README: fix a couple: restore_terminal

	* src/ded.c:
	added an extra call on 'restore_terminal()' for Linux (and some other)
	implementations of 'curses' which don't restore ONLCR in 'endwin()'

	* src/ded.c:
	modified so that we can give -t option as file or directory, to make this
	more flexible with the DED_TREE environment variable.

	* src/ftree.c:
	renamed 'step' to 'snxt' to avoid conflict with regex-code

1994-07-15  Thomas E. Dickey  <tom@invisible-island.net>

	* src/Makefile: took out apollo lint-lib

	* src/ded.h: added 'ERR_PTYPES'

	* src/ftree.c: added test for CVS-directories
	modified interface to 'sccs_dir()'

1994-07-12  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded2s.c: typo

	* src/ded2s.c:
	pasted in my original code from flist (Scope), but it needs to be
	rewritten, since it simply counts the blocks!

	* src/ded2s.c: CLIX has no stat.st_blocks

	* src/dedsort.c: new macro CMPF used for block-size hiding

	* src/dedsort.c: use MODULE_ID

	* src/dedsize.c: bug fixes for SunOS, port fix for CLIX

	* src/ded.h: mods for CLIX & IRIX

	* src/dedcolor.c: IRIX has 'has_colors()' in it's curses

	* src/Makefile: use RANLIB

	* src/dedtags.c:
	new macro 'ded_blocks()' to hide systems w/o stat.st_blocks

	* src/dedtags.c: use MODULE_ID

	* src/README: fixed a couple on SunOS

	* src/ded.c: integrated -t option and DED_TREE environment variable

	* src/ftree.c:
	moved my environment-variable hack into the main program, so I can make
	the -t option override it.

1994-07-11  Thomas E. Dickey  <tom@invisible-island.net>

	* test/test2.cmd, test/test1.cmd: added dedrc, dedcolor.c, dedsize.c

	* src/README: snapshot, so I can narrow down test-scripts

	* test/run_test.sh:
	make this work with varying depths to bin-directories
	also, corrected use of traceback/walkback script

	* test/edittest.sh:
	make this work with varying depths to bin-directories

1994-07-10  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded2s.c: maintain namlen field (for colors)

	* src/ded.h: added namlen field to FLIST

	* src/dedcolor.c: coded around a segmentation-violation bug

	* src/dedcolor.c: took out my trace (it works...)

	* src/dedcolor.c: RCS_BASE

	* src/ded2s.c: made 'executable()' public, as 'ded_access()'

	* src/ded.h: added 'dedcolor()' and 'ded_access()'

	* src/dedview.c:
	added logic to display filename in color (if it's not tagged)

	* src/ded.c: added hook to use colors, if available

	* src/Makefile: added 'dedcolor.c'

1994-07-09  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedwait.c:
	adjusted so that Sys5 curses will be fooled into putting the prompt in the
	right place

	* src/dedwait.c: use MODULE_ID

1994-07-04  Thomas E. Dickey  <tom@invisible-island.net>

	* src/Makefile: new symbol for LIBS

	* src/dedtype.c: plugged a hole that let non-ascii chars echo

1994-07-02  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded2s.c: removed redundant '_toupper'

	* src/ded.c: patched signals for Linux. Hope it's portable.

	* src/dedsigs.c:
	use default signal handling when I'm running a subprocess

	* src/dedtype.c, src/ftree.c, src/dedmake.c, src/dedline.c, src/deddoit.c, src/ded2s.c, src/ded.c:
	obsolete-name:STAT

	* src/restat.c: _ONE:broke-tags

	* src/restat.c: use MODULE_ID

	* src/inline.c: _ONE:broke-tags

	* src/inline.c: use MODULE_ID

	* src/ftree.c: _ONE:broke-tags

	* src/README: neat new ideas

	* src/dlog.c, src/dedview.c, src/dedtype.c, src/dedtags.c, src/dedsort.c, src/dedsigs.c, src/dedshow.c, src/dedscan.c, src/dedring.c, src/dedread.c:
	_ONE:broke-tags

	* src/dedread.c: use MODULE_ID

	* src/dedmsgs.c: _ONE:broke-tags

	* src/dedmsgs.c: use MODULE_ID

	* src/dedline.c, src/deddump.c: _ONE:broke-tags

	* src/deddump.c: use MODULE_ID

	* src/ded2s.c, src/ded.c, src/deddoit.c: _ONE:broke-tags

1994-07-01  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedmsgs.c: use 'strerror()'

	* src/ded.h: autoconf: sys_errlist

	* src/dedmake.c: use strerror()

	* src/Makefile: added 'dedrc' to sources

	* src/dedrc: RCS_BASE

	* user/ded.man: added notes about CTL/N, CTL/P for history
	workaround for bug in Linux man-program in the chmod expression.

1994-06-30  Thomas E. Dickey  <tom@invisible-island.net>

	* certify/release.txt: more notes for 13.0

	* src/README: current hot-list

	* src/version.h: S-sort. Mods to make scrolling smoother.

	* src/version.h:
	HP/UX port. Linux port. Mods for autoconf. Mods for resizing (non-Sys5)
	curses windows.

	* src/dlog.c, src/ded.h, src/dedsize.c, src/dedtype.c, src/dedread.c, src/dedfind.c:
	rawgets-resizing

	* src/dedfind.c: use MODULE_ID

	* src/deddoit.c, src/ftree.c, src/dedline.c, src/ded.c:
	rawgets-resizing

1994-06-28  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c, src/dlog.c, src/dedtype.c, src/dedread.c, src/dedline.c, src/dedfind.c, src/deddoit.c, src/ded.c, src/ded.h:
	dlog_string-args

1994-06-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c, src/dlog.c, src/dedsize.c, src/ded.h: unused-argument

	* src/ftree.c, src/ded.h, src/ded.c, src/dedsize.c, src/dlog.c, src/sortset.c, src/inline.c, src/dedwait.c, src/dedtype.c, src/dedmsgs.c:
	window-resize

	* src/dedsize.c: first cut of using 'on_winch()'

	* src/ded.c: revised interface to 'dedsize()'

	* src/ded.h: added prototype for 'dedsize()'

1994-06-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c: added quick hack to work on 'dedsize()'

	* src/dedsize.c: RCS_BASE

	* src/Makefile: added 'dedsize.c'

	* test/Makefile: renamed edit_test.[sed/sh] to edittest.[sed/sh]

	* test/edittest.sh: RCS_BASE

	* test/run_test.sh: renamed edit_test.sh to edittest.sh

	* src/dedsigs.c:
	put the beep back into 'catch()', since my problem was really that I was
	not ignoring the INTR character within forkfile().

	* src/dedsigs.c:
	changed calling convention to catch SIGINT only when caller sets flag=TRUE.
	I did this because I was having trouble on Linux when I'd spawn an editor,
	and hit the INTR character -- the signal was caught in both places.

	* src/ded.c:
	don't try to catch signals when we're executing a forkfile call (e.g.,.
	when editing a file)

	* src/ded.h: adjustments to current TD_LIB autoconf

	* src/ftree.c, src/dedtype.c, src/dedscan.c: td_lib-autoconf

	* src/dedsigs.c:
	took out 'beep()' command to try to fix problem with interrupting a
	subprocess

1994-06-02  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c:
	use environment variable to alleviate mount-problems with SunOS system

1994-05-30  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded2s.c: more casts, from Solaris

	* test/Makefile: renamed traceback.sh to walkback.sh

	* src/ded2s.c:
	use casts on stat-struct members to ensure that we are portable

	* src/dedsigs.c: eliminated redundant include of <signal.h>

	* src/ded.c: use new autoconf definitions of DEFAULT_EDITOR, etc.
	also, eliminated redundant includes of <signal.h> and <errno.h>

	* src/ded.h: for inclusion of <signal.h>

	* src/ded.h:
	defined Z_RCS and Z_SCCS in terms of RCS_PATH, SCCS_PATH autoconf-defines

	* user/Makefile, certify/Makefile: use RM symbol

1994-05-29  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.h: split out <td_regex.h>

1994-05-28  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.h: use HAVE_REGEX_H_FUNCS

	* src/ded.h: use HAVE_NEW_TOKEN_QUOTE

1994-05-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dlog.c: use HAVE_STDARG_H

	* src/ded.h: first cut of autoconf adaptation for <regex.h>

1994-05-24  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c:
	Philip Hood had a directory name consisting of a backspace. Ded broke.

1994-05-23  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.h: use new include for fcntl.h

	* src/ded.c: use SYS5_CURSES

	* src/dedname.c: use HAVE_RENAME

	* src/ded2s.c:
	use autoconf's tests for 'major()' and 'minor()' includes

1994-05-22  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ftree.c, src/dedtype.c, src/dedscan.c: rename-DIRENT

1994-05-09  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedtype.c:
	coded around bug in Linux's 'ftell()', which resets the eof-flag

1994-04-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.c:
	provided sys5-like defaults for EDITOR, other environment variables
	(really do need a configure-script)

1994-04-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/ded.h:
	Linux has the same regex-code as hpux (maybe HP wasn't wrong...)

1994-04-01  Thomas E. Dickey  <tom@invisible-island.net>

	* COPYING: notice for alt.sources

	* COPYING: standardized my language

1994-03-09  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedview.c:
	corrected a place in 'showMARK()' where I clobbered the current location

1993-12-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c:
	adjusted call on 'markC()' to account for new variable 'mrkfile'

1993-12-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedview.c, src/dedring.c, src/ded.h: mrkfile-hack

1993-12-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: added 'S' sort
	optimized some of the screen refreshing

	* src/dedsort.c, src/sortset.c, src/ded.hlp, src/ded2s.c:
	added 'S' sort

1993-12-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: forgot to set 'showdiff' in 'uprow()'

	* src/ded.c: 'resleep()' needs a call on 'refresh()' !

1993-12-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedview.c: clear workspace if I adjust its size

	* src/dlog.c: moved most 'refresh()' calls under 'dlog_char()'
	This fixes a problem where repeated "+" commands would result in unnecessary
	calls to refresh the screen (during simulated scrolling)

	* src/dedtype.c: removed unnecessary 'refresh()'

	* src/ded.c: removed unnecessary 'refresh()' calls

	* src/ftree.c, src/sortset.c, src/deddoit.c, src/dedfind.c, src/dedmsgs.c, src/dedread.c, src/dedshow.c:
	removed unnecessary 'refresh()'

	* src/dedview.c: removed unnecessary 'refresh()' calls

	* src/dedwait.c: removed unnecessary 'refresh()'

1993-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.h: defined ANSI_VARARGS for sr10.2

	* src/dedmsgs.c: try to guard against out-of-range values for 'errno'

1993-11-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test1.cmd, test/test2.cmd: added:dedblip.c

	* src/version.h: Ifdef'd idents (to simply testing with gcc warnings)
	Ported to HP/UX.
	Simulate scrolling for up/down line commands.
	Made "^" command act as a toggle to top/bottom of screen.
	Added mouse support for xterm.
	Rewrote blip code, to show the counts rather than a lot of dots.
	Corrected an infinite loop in the filelist search commands.

	* src/dedblip.c: removed-traces

1993-11-23  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedblip.c: use MODULE_ID

1993-11-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedblip.c, src/dedview.c, src/ded.c, src/dedtype.c, src/ded.h, src/dedline.c, src/dedscan.c:
	showFILES-interface

	* src/dedblip.c:
	revised my original idea, using curses (which is faster than I thought)

	* src/dedscan.c: added calls to 'set_dedblip()'

	* src/ded.c, src/dedread.c, src/dedscan.c, src/deduniq.c:
	use new blip-code

1993-11-23  Thomas E. Dickey  <tom@invisible-island.net>

	* src/deduniq.c: use MODULE_ID

1993-11-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedblip.c: RCS_BASE

	* src/ded.h, src/Makefile: added 'dedblip.c'

	* src/ftree.c:
	corrections to logic of 'row2node()' to make it work properly with hiddent
	directories.

1993-11-19  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: did the mouse stuff

	* src/ftree.c: added logic for mouse positioning

	* src/ded.c:
	make double-clicking on an item bring up a view-file or edit-directory.

	* src/dedview.c:
	added entrypoint 'row2VIEW()' to use in translating mouse-selection to
	file-position.

	* src/ded.c: first cut of using mouse to position to a file

	* src/ded.h: added entrypoint 'row2VIEW()' to dedview.c

1993-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/deddoit.c: use entrypoint 'cookterm()'

	* src/dedfind.c:
	fixed an infinite-loop (happened when I had a symbolic-link at the current
	file, so I didn't get to the check that found when I'd looped completely
	around).

	* certify/release.txt, certify/config.txt: recent-hacks

	* src/dedview.c:
	corrected a place where I didn't update the scale when tabbing between
	viewports

	* src/ftree.c:
	mods to make directory tree scroll by single row, and to make "^" command
	toggle top/bottom positions

1993-11-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedview.c:
	modified so that up/down line code simulates scrolling (better than whole-
	screen scrolling, I suppose)

	* src/dedview.c:
	tweaked so that "^" command toggles between the bottom and the top of the
	screen

1993-11-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile, src/ded.h: absorbed:cmdch.h

1993-11-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: to-do list from HP/UX port

	* src/dedname.c: allow directory-rename for HP/UX (Sys5.4)

	* src/ded.c: hacks to cleanup repainting on HP/UX

1993-10-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedfind.c, src/dedread.c, src/dedring.c, src/dedscan.c, src/dedshow.c, src/dedtype.c, src/dedview.c, src/ftree.c:
	HP/UX-port

	* src/ded2s.c, src/deddoit.c, src/deddump.c, src/dedfree.c: ifdef-ident

1993-10-29  Thomas E. Dickey  <tom@invisible-island.net>

	* src/dedfree.c: use MODULE_ID

1993-10-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c, src/dedmake.c, src/dedmsgs.c, src/dedname.c, src/dedsigs.c, src/dedsort.c, src/dedtags.c, src/deduniq.c, src/dedwait.c, src/dlog.c, src/history.c, src/inline.c, src/restat.c, src/showpath.c, src/sortset.c, src/ded.c:
	ifdef-ident

	* src/ded.h: HP/UX-port

1993-09-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/sortset.c: gcc warnings

	* src/dedline.c: redundant SIZEOF definition

	* src/ftree.c: gcc warnings

	* src/ded.h: tweaks for apollo sr10.3

	* src/inline.c: lint

	* src/version.h: gcc warnings

	* src/dlog.c, src/ftree.c, src/history.c, src/inline.c, src/showpath.c, src/dedsigs.c, src/dedtype.c, src/deduniq.c, src/dedview.c, src/dedname.c, src/dedring.c, src/dedscan.c, src/dedshow.c, src/ded2s.c, src/dedfind.c, src/dedline.c, src/dedmsgs.c, src/ded.c, src/deddoit.c, src/dedsort.c, src/sortset.c:
	log-comment:gcc-warnings

1993-09-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* certify/release.txt, certify/release.txt,v-, certify/config.txt:
	gcc-warnings

1993-09-21  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: use LINK symbol
	added tags rule
	clobber ded.a

	* src/ded.h, src/sortset.c, src/showpath.c, src/inline.c, src/history.c, src/ftree.c, src/dedsort.c, src/dlog.c, src/dedtype.c, src/deduniq.c, src/dedview.c, src/dedsigs.c, src/dedshow.c, src/dedscan.c, src/dedring.c, src/dedname.c, src/dedmsgs.c, src/dedline.c, src/dedfind.c, src/ded2s.c, src/deddoit.c, src/ded.c:
	gcc-warnings

1993-05-06  ste_cm

	* user/RCS, test/RCS, src/RCS, certify/RCS, RCS:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1993-05-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test2.cmd: added ../certify

1993-05-06  ste_cm

	* test/test2.cmd:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1993-05-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test1.cmd: added ../certify

1993-05-06  ste_cm

	* test/test1.cmd:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1993-05-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* user/Makefile: typo

1993-05-06  ste_cm

	* user/Makefile:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1993-05-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* README: RCS_BASE

1993-05-06  ste_cm

	* README: BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1993-05-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* COPYING: RCS_BASE

1993-05-06  ste_cm

	* COPYING: BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1993-05-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* certify/config.txt: documented dependencies

1993-05-06  ste_cm

	* certify/config.txt:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1993-05-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* Makefile: split out from CM_TOOLS hierarchy

1993-05-06  ste_cm

	* Makefile:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1993-05-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* user/Makefile: RCS_BASE

1993-05-06  ste_cm

	* user/RCS: BASELINE at Thu May 6 13:43:05 1993

	* certify/RCS: BASELINE at Thu May 6 13:41:53 1993

1993-05-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* certify/config.txt, certify/README: RCS_BASE

1993-05-06  ste_cm

	* certify/README:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1993-05-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* certify/Makefile: RCS_BASE

1993-05-06  ste_cm

	* certify/Makefile:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1993-05-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* certify/release.txt, certify/release.txt,v-: RCS_BASE

1993-05-06  ste_cm

	* certify/release.txt, certify/release.txt,v-:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1993-05-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/Makefile: split out from CM_TOOLS hierarchy

1993-05-06  ste_cm

	* test/Makefile:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1993-05-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: split out from CM_TOOLS hierarchy

1993-05-06  ste_cm

	* src/Makefile:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

	* user/RCS, certify/RCS: PERMIT FILE

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedsort.c: shorten-filenames

1993-04-27  ste_cm

	* src/dedsort.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.h: shorten-filenames

1993-04-27  ste_cm

	* src/ded.h:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile, Makefile, test/Makefile: shorten-filenames

1992-12-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c: oops: forgot 0-case in ring_pointer()

1992-12-18  ste_cm

	* src/dedring.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-12-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedfind.c: show message "no other matches" when applicable

1992-12-02  ste_cm

	* src/dedfind.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-12-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedview.c:
	fixed a place in 'markC()' where we could have the wrong
	cursor-position

1992-12-02  ste_cm

	* src/dedview.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-12-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: use defs of STAT, DIRENT

1992-12-02  ste_cm

	* src/ftree.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-12-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c: use def of DIRENT

1992-12-02  ste_cm

	* src/dedtype.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-12-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c: use def of DIRENT

1992-12-02  ste_cm

	* src/dedscan.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-11-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded2s.c: hack for RCS 5 vs RCS 4 (localtime vs gmt_time

1992-11-23  ste_cm

	* src/ded2s.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: added dependency of dedsort.o on cm_qsort.h

	* src/dedsort.c: use "cm_qsort.h" definitions

	* src/ded.h, src/ded.c: added 3rd arg to _FNX macros

1992-11-20  ste_cm

	* src/ded.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-10-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c:
	moved an assignment in 'editprot()' which caused the current
	entry to be incorrectly handled if it was a link.

1992-10-16  ste_cm

	* src/dedline.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-10-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: clutter, lint-def

1992-10-09  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/Makefile, src/Makefile, Makefile: split off CM_LIBRARY

	* src/README:
	fixed a place in @-toggle where curses would optimize w/o knowledge of blip

1992-10-09  ste_cm

	* src/README:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-10-09  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c:
	patched a place where the curses optimizer did not work for
	me

1992-10-08  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c:
	make search/scrolling interruptable (did not reset a flag
	correctly before), and make the skipping-message show during
	searches.

1992-09-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: moved 'dedwait()' call for PAGER inside 'forkfile()'

1992-09-09  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test4.cmd:
	patched this: forgot to unset sort-by-inode in subsequent views;
	it made it non-portable on SunOs, since the sequence of inodes was
	not monotonic.

1992-09-09  ste_cm

	* test/test4.cmd:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-09-04  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test4.cmd, test/test3.cmd: erase/to_left

1992-09-04  ste_cm

	* test/test3.cmd:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-09-04  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dlog.c: in 'dlog_comment()', ensure that we format "%s" with only
	printing characters (no newlines or other stuff!)

1992-09-04  ste_cm

	* src/dlog.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-09-04  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dlog.c:
	split up 'dlog_comment()' so I can get at the "%s" substitution
	(and protect against embedded newlines, etc).

	* src/README: implemented non-printing chars edit in 'wrawgets()'

	* src/dedline.c: allow direct editing of non-printing characters via
	'rawgets()'

1992-09-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test5.cmd: stifled some stuff I didn't want in stderr

1992-09-02  ste_cm

	* test/test5.cmd:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-09-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dlog.c:
	removed redundant else-if in 'dlog_string()' processing of
	down-arrow.

1992-08-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* user/ded.man: documented the other changes

1992-08-28  ste_cm

	* user/ded.man:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-08-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* user/ded.man: documented changes to inline-editing

	* test/Makefile: added test-case 5

	* test/run_test.sh: make this easier to hack for testing

1992-08-28  ste_cm

	* test/run_test.sh:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-08-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test5.cmd: RCS_BASE

	* src/dlog.c:
	oops: made wrong test for updating 'cmd_ptr' in 'dlog_string()'

	* src/dlog.c: lint

	* src/ded.hlp: documented recent commands (briefly!)

1992-08-28  ste_cm

	* src/ded.hlp:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-08-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dlog.c: make 'read_char()' have a single return-point
	corrected 'read_script()', which was not allowing the last
	few lines of a script to be used (because the file-pointer
	was tested before testing if 'cmd_ptr' was to the end of
	'cmd_bfr')

	* src/dlog.c: modifying to make the value returned by 'rawgets_log()'
	consistently an interpreted string; allows me to split this
	string into scripted and non-scripted portions (to log
	the latter).

	* src/dlog.c: oops: forgot that 'rawgets_log()' returns the interpreted
	byte stream, which messed up my update for 'cmd_ptr'.
	also (same cause) must redo logic which offsets the
	logging of 'rawgets_log()'

	* src/version.h: added '-command (repeat last of given inline command)

1992-08-28  ste_cm

	* src/version.h:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-08-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.h: added 'inline_hidden()'

	* src/history.c:
	modified so that if we put history item that duplicates
	any in the list, we simply relink it to the front of the
	list -- much easier to use than simply suppressing
	consecutive duplicates.

1992-08-28  ste_cm

	* src/history.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-08-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dlog.c:
	re-rewrote 'dlog_string()'; seems to work ok, but must test!

1992-08-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/inline.c: added entrypoint 'inline_hidden()'

1992-08-27  ste_cm

	* src/inline.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-08-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: fixes to ftree & wrawgets

1992-08-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dlog.c: corrected an instance of newline-splice/trim

	* src/dlog.c: partial correction to inline-history's end-stops

1992-08-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dlog.c: debug-trace
	modified so that inline history is not saved here
	(still have to make end-stops work with history)

	* src/history.c: debug-trace

	* src/ded.c: special hack so 'cf and 'f commands are the same

	* src/dlog.c: mods to 'dlog_string()' to allow "cf" command's internal
	replay to work.

	* src/inline.c:
	make 'dyn_trim1()' public so I can use it in 'dlog_string()'

1992-08-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c: removed obsolete code for 'edittext()'

	* src/dedread.c: allow quit-dlog_string response

1992-08-24  ste_cm

	* src/dedread.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-08-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: allow quit-dlog_string as response in '@' command.

	* src/ded.c, src/dedfind.c, src/deddoit.c:
	dlog_string returns null-pointer on quit

1992-08-24  ste_cm

	* src/deddoit.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-08-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c: make edittext work with 'dlog_string()'

	* src/dedread.c: dlog_string returns null pointer on quit

	* src/dedtype.c: dlog_string returns null-pointer on quit

	* src/dlog.c: make dlog_string return null pointer on quit

	* src/ftree.c: dlog_string returns null-pointer on quit

	* src/dlog.c: recoded 'read_script()' so it joins lines that were split
	by intervening comment(s).  This allows me to hide the
	difference between single-char and buffer-commands.

1992-08-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: forgot to reinit 'my_text' in ':' command

	* src/dlog.c: testing integration with 'edittext()'

	* src/dedline.c:
	added first cut (ifdef'd) of integration with 'dlog_string()'
	and 'edittext()'

	* src/ded.h, src/inline.c: added 'inline_text()', 'inline_hist()'

1992-08-19  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test4.cmd:
	change to accommodate inline treatment in 'wrawgets()' for ftree '=' command

1992-08-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c, src/dlog.c, src/dedfind.c, src/dedread.c, src/deddoit.c, src/dedtype.c, src/ded.c, src/ded.h:
	added fast_q-arg to dlog_string() for edittext()

	* src/ded.h: lint

	* src/inline.c: lint
	use 'trim_one()' in C_TRIM case also.

	* src/inline.c:
	use logic from 'dlog_string()' to implement history (i.e.,
	for 'p' command)

1992-08-14  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/inline.c: make args to 'find_item()' module-level, so I can add
	new interface 'up_inline()' and 'down_inline()'

	* src/dedline.c: use new interface up_inline/down_inline (untested)

1992-08-13  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.h: added ReplayFinish
	reordered C_??? defs to make them simpler

	* src/inline.c: tweaked to add C_INIT

	* src/ded.h: added C_INIT, ReplayInit()

	* src/ded.c: use ReplayInit()

	* src/inline.c, src/ded.c: mods to use 'topc' value in 'get_inline()'

	* src/ded.h, src/inline.c: lint

	* src/inline.c:
	store separate structure for each inline command so that
	main program can re-invoke them with '-command.

	* src/ded.c: make '-command work (ignoring topc for now)

	* src/inline.c:
	modified so that the 0th item in the text-string is no longer
	the endc-value.

	* src/ded.c: don't use 'ReplayStart()' until I have an endc-value.

	* src/ded.h:
	added an argument to 'get_inline()' so I can cleanup logging

	* src/inline.c: restructured 'get_inline()' as a single case-statement,
	and organized its data into the ITEM struct.

	* src/ded.h: added def for ReplayFind
	added C_???? defs for 'inline.c'

1992-08-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: introduced '-command (though it does not work yet!)

	* src/inline.c: lint

	* src/inline.c:
	oops: forgot to kludge the DYN-string's cur_length member

	* src/inline.c:
	modified so this uses a dynamic-string rather than static
	buffer.  also, map returns to newlines.

	* src/dlog.c, src/dedwait.c: map-returns

1992-08-12  ste_cm

	* src/dedwait.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-08-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c, src/sortset.c: map-returns

1992-08-12  ste_cm

	* src/sortset.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-08-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c, src/ded.c, test/test4.cmd, test/test3.cmd, test/test2.cmd, test/test1.cmd:
	map-returns

	* src/dlog.c: 'encode_logch()' no longer assumes that its output-buffer
	is non-empty.

	* src/inline.c:  added a debug-trace

	* src/ded.c: fixed warning-message in '"' command

1992-08-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: split-out:inline.c

	* src/inline.c: RCS_BASE

	* src/dedmake.c: split-out:inline.c

1992-08-11  ste_cm

	* src/dedmake.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-08-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.h, src/ded.c, src/dedline.c, src/Makefile: split-out:inline.c

	* test/test2.cmd, test/test1.cmd: added 'inline.c'

	* src/dedmake.c: use macro ReplayTrim

	* src/ded.c: use macros ReplayStart and ReplayChar

	* src/dedline.c: use macros to hide kludgy argument of 'get_inline()'

	* src/ded.h: renamed 'replay()' to 'get_inline()'
	use macros to hide the kludgy-arguments on it.

	* src/dlog.c: 'inline' arg to 'dlog_string()' may contain a script.

	* src/dlog.c: implemented some logic that *ought* to work for inline
	edits of 'dlog_string()'

1992-08-10  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dlog.c: added 'prefix' arg to 'wrawgets()'

1992-08-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* Makefile: use:common.mk

	* Makefile: use defs in common.mk

	* src/version.h: added command-history to the non-inline text commands
	(e.g., filelist ':', '/', '?', pager '/', '?', and directory
	tree '/', '?', '@', '~').

	* src/dlog.c, src/ftree.c, src/dedfind.c, src/dedtype.c, src/dedread.c:
	line-history

	* src/dlog.c:
	got the normal (line) scrolling working ok for 'dlog_string()'

	* src/history.c: allow longer history
	do better testing in 'get_history()'

	* src/dlog.c: modified so that we reset history-index if user edits the
	buffer

	* src/deddoit.c: plug in history

	* src/dlog.c:
	revised history-code in 'dlog_string()' so this should work
	for non-inline commands.

	* src/ded.h: added 'history.c'

	* src/history.c: RCS_BASE

	* src/Makefile: added 'history.c'

	* test/test2.cmd, test/test1.cmd: added history.c

1992-08-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedread.c: dlog_string-interface

	* src/dlog.c: revising 'dlog_string()' to add arguments for scrolling
	thru list of alternatives, and for saving keystrokes for
	"-command (replay).

	* src/ded.h, src/deddoit.c, src/ftree.c, src/dedtype.c, src/ded.c, src/dedfind.c:
	dlog_string-interface

	* src/dlog.c: modified 'pending' so that it should never overflow.
	make 'cmd_bfr' dynamically allocated (but fixed size!)

	* src/dlog.c: chopped out code now in common/logch.c

	* test/Makefile: use defs in common.mk

	* test/test4.cmd, test/test3.cmd, test/test2.cmd: rawgets/logging

	* src/dlog.c:
	merged 'read_line()' into 'dlog_string()'; make the resulting
	procedure work properly with the command-argument of 'wrawgets()'

	* test/test1.cmd: rawgets/logging

	* test/test4.cmd, test/test3.cmd: dlog-escapes

	* src/dlog.c: split out 'record_char()' function to use in new function
	'record_string()' -- to allow me to record individual chars
	in 'dlog_string()' rather than the buffer-result.
	added escape types \F, \B, \W and \? to make the log a little
	more readable.

1992-08-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: use include-defs from common.mk

	* src/Makefile: use defs in 'common.mk'

	* src/ftree.c: corrected one of the error messages in 'fd_find()'
	use nonzero length arg in calls on 'dlog_string()' to force
	it to use nowrap mode.

	* src/dlog.c: corrected sense of wrap argument for 'rawgets()'

	* src/ftree.c: make better error-tests in 'fd_find()'

	* src/dedtype.c: lint

	* src/version.h:
	added '/', '?', 'n', 'N' search commands to workspace pager.
	also added '<' and '>' commands to workspace pager.

	* src/dedtype.c: correction to backward search (all ok now?)

	* src/dedtype.c: implemented most of the n/N commands
	make 'fp' global as 'InFile'

	* src/dedtype.c:
	added first part of 'FindPattern()' -- search within the
	current screen.  Must still add logic for n/N commands.

	* src/dedview.c:
	rewrote 'showMARK()', since it did not properly account for
	the units-part of the col-argument.

1992-08-04  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c: added 'IgnorePage()' so I can see it happening!

	* src/dedtype.c: split out 'StartPage()' to simplify main loop

	* src/dedtype.c: got rid of redundant assignments to 'jump'.
	sound warnings on upper/left shifts.

	* src/dlog.c: change interface to 'dlog_string()' to use dynamic string
	for return-value.

	* src/ded.c, src/dedfind.c, src/deddoit.c, src/dedread.c, src/ftree.c:
	modified interface to 'dlog_string()'

	* src/ded.h:
	change interface to 'dlog_string()' to use dynamic-strings.
	also, make some functions 'void' that should have been

	* src/dedtype.c: lint

	* src/dedtype.c: split out 'FinishPage()' so I can simplify main loop
	use 'tmpfile()' for the directory-name file to simplify
	deletion after use.

	* user/ded.man: added ctl/r and ctl/l to workspace pager

	* src/dedtype.c:
	use dynamic strings (actually buffers) so we can display
	files wider than BUFSIZ.

1992-07-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c:
	overlooked special case where I jump to '/' by '@' followed
	by ^U

1992-07-23  ste_cm

	* src/ftree.c: BASELINE Thu Jul 23 14:22:47 1992

1992-07-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/Makefile: added 'test4.cmd'

1992-07-23  ste_cm

	* test/Makefile: BASELINE Thu Jul 23 12:10:21 1992

1992-07-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/run_test.sh: typo

1992-07-23  ste_cm

	* test/run_test.sh: BASELINE Thu Jul 23 12:10:21 1992

1992-07-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c:
	oops: when rewriting to get rid of globals, forgot to modify
	'ring_rename()' so that it would (properly) re-insert items.

1992-07-23  ste_cm

	* src/dedring.c: BASELINE Thu Jul 23 12:04:51 1992

1992-07-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test4.cmd: RCS_BASE

1992-07-23  ste_cm

	* test/test4.cmd: BASELINE Thu Jul 23 12:10:21 1992

1992-07-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/edit_test.sh:
	make CM_TOOLS substitute global (in case of rename, which has 2 per line)

1992-07-23  ste_cm

	* test/edit_test.sh: BASELINE Thu Jul 23 12:10:21 1992

	* test/edit_test.sh:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-07-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/run_test.sh:
	make this able to generate scripts, or to run only specified scripts

	* src/ftree.c:
	modified '~' command to do a chdir/getwd to try to resolve
	symbolic links.  I had to do this because of the bizarre
	configuration on our SunOs systems.

1992-07-16  ste_cm

	* test/RCS, src/RCS, RCS:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-07-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: corrected a place where we cannot reopen /dev/tty
	(i.e., during rsh).

1992-07-02  ste_cm

	* src/ded.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-06-19  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c:
	correction to link2bfr: table entry for "%D" was getting
	clobbered sometimes & I dumped core

1992-06-19  ste_cm

	* src/dedline.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-06-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/deddoit.c: ensure that we have a buffer allocated for 'cmd_sh'

1992-06-18  ste_cm

	* src/deddoit.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-06-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: in 'rescan()' protect against reference to cNAME when we
	last had no-files.

1992-05-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* user/ded.man: make '<' command recognize "%D" and "%d"

1992-05-27  ste_cm

	* user/ded.man: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-05-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c: make '<' command recognize "%D" and "%d" expansion

	* src/dedring.c:
	'ring_path()' does not need to write in a static-buffer

1992-05-13  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/deddoit.c: 'system()' may set errno w/o returning a -1 code.

1992-05-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c:
	realized that I was not using 'sort_key' when I had a pair
	of directories (ebpm4/src, ebpm4+/src) which did not sort
	properly.  Redid the logic using 'pathcmp()' which to compare
	the path-strings directly.

	* src/ded.h: 'sort_key' is obsolete

1992-05-12  ste_cm

	* src/ded.h: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-05-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: added .c.lint rule

1992-05-12  ste_cm

	* src/Makefile: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-10  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedsort.c: don't sort empty lists!

1992-04-10  ste_cm

	* src/dedsort.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-09  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c:
	hacks to force inserted pathnames to be resolved in case
	they are symbolic links

	* src/ded.c:
	corrected logic of 'edithead()' to use .new_wd member rather
	than redundant 'pathhead()' call.

	* src/ded.h: changed length of old_wd, new_wd to MAXPATHLEN

	* src/ded.c: changed name back again (was confused)

1992-04-08  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: renamed 'edithead()' to 'edit_link()'

	* test/run_test.sh: typo

	* src/version.h:
	restructured so that there is not nearly as much global data.
	This allowed me to complete the split-screen operations,
	even making the two viewports have independent (nearly)
	filelists.

1992-04-08  ste_cm

	* src/version.h: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-08  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedview.c:
	reorganized 'showLINE()' so I can update other viewports,
	e.g., when +/- operations

1992-04-08  ste_cm

	* src/dedview.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-08  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedview.c: new internal procedure 'ring_view()' to ensure that we
	use actual-value of RING-struct/chdir when moving between
	viewports

	* src/ded.c: use null-value of 'gbl' to determine quit from main-prog

	* src/dedview.c:
	hacked 'splitVIEW()' & 'tab2VIEW()' to return RING-struct

	* src/ded.h: return RING-struct from 'splitVIEW()' & 'tab2VIEW()'

	* src/ded.c: use return-value from 'splitVIEW()' & 'tab2VIEW()'

	* src/dedview.c:
	split out guts of 'showWHAT()' so I can decouple it from
	RING/VIEW relations

	* src/ded.c: 'showWHAT()' is called as a side-effect of 'showDOWN()'

	* src/dedview.c: mods to decouple viewports vs RING structures.
	still have minor bugs in cursor-movement & highlighting.

	* src/ded.h: added 'redoVIEW()'

	* src/ded.c: invoke 'redoVIEW()' so I can make this decouple viewports.

	* src/dedview.c: make 'last_file' a VIEW-member.

	* src/dedview.c: rename Ylast to last_file
	rename Ynext to last_row
	make 'last_row' a VIEW-member rather than module-level variable

	* src/dedview.c:
	rename ".Yhead" to ".base_row" and ".Ybase" to "base_file"

	* src/dedview.c: eradicated module-level 'Yhead'

	* src/dedview.c: got rid of local variable Ybase

1992-04-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedview.c: saving curfile is better than cNAME

	* src/dedview.c:
	introduce new pointer 'vue' so I can start decoupling the
	VIEW structures from RING structures

	* src/ded.c: lint

	* src/dedview.c: hid as much as I can (quitVIEW, Ybase).
	added 'top2VIEW()' to do this.

	* src/ded.h: make 'Ybase' hidden in 'dedview.c'
	make showVIEW, quitVIEW private.
	added 'top2VIEW()'

	* src/ded.c: use 'top2VIEW()' so I can hide Ybase value in dedview.c

	* src/dedview.c: made setup_view, next_view, save_view private
	make forward/backward private; added scrollVIEW for use
	by the main program.

	* src/restat.c: use 'baseVIEW()' rather than 'Ybase'

1992-04-07  ste_cm

	* src/restat.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

	* src/restat.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-04-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: use scrollVIEW rather than hack with forward+backward

	* src/ded.h: make viewset/forward/backward/saveVIEW/nextVIEW private.
	added entry scrollVIEW

	* src/ded.c: corrected def of 'failed()'

	* src/ded.c: moved 'dedsort()' calls into 'dedscan()'
	simplified 'rescan()' using 'findFILE()'

	* src/dedscan.c:
	always do sort with 'dedsort()' on conclusion of successful
	scan.

1992-04-07  ste_cm

	* src/dedscan.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c: moved 'dedsort()' calls into 'dedscan()'
	do_a_scan from 'ring_args()' to consolidate initialization.

	* src/ded.h: made 'rescan()' private

	* src/restat.c: RCS_BASE

	* src/ded.c, src/ded.h: split off 'dedmsgs.c', 'dedtags.c' & 'restat.c'

	* src/Makefile: split off dedmsgs, dedtags & restat

	* test/test2.cmd: split off 'dedmsgs.c', 'dedtags.c' & 'restat.c'

1992-04-07  ste_cm

	* test/test2.cmd: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test1.cmd: split off 'dedmsgs.c', 'dedtags.c' & 'restat.c'

1992-04-07  ste_cm

	* test/test1.cmd: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedview.c: split off 'restat.c'

	* src/dedmsgs.c: RCS_BASE

1992-04-07  ste_cm

	* src/dedmsgs.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

	* src/dedmsgs.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-04-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtags.c: RCS_BASE

1992-04-07  ste_cm

	* src/dedtags.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

	* src/dedtags.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-04-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedview.c, src/dedtype.c: Xbase:local

1992-04-06  ste_cm

	* src/dedtype.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c, src/ded.c, src/ded.h: Xbase:local

	* src/ded.c, src/dedring.c, src/dedscan.c, src/ded.h: dedscan:interface

	* src/ded.h, src/dedview.c, src/dedsort.c, src/dedscan.c, src/dedmake.c:
	curfile-macros

1992-04-06  ste_cm

	* src/dedmake.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c, src/deddoit.c, src/ded.c: curfile-macros

	* src/ded.h: eradicate FOO

	* src/ded.c: finally! eradicated FOO (global data)

	* src/ded.c: propagate RING-struct via 'pattern_args()'

	* src/ded.h: rescan:interface

	* src/ded.c: mods to rescan & old_args to get rid of FOO

	* src/ded.c: typo

	* src/ded.c: juggling to percolate RING-pointer up past 'old_args()'

	* src/ded.c:
	new local procedure 'edit_directory()' to remove some global-data

	* src/ftree.c: dedmsg,deddump:interfaces

	* src/ded.h: dedmsg,warn,deddump:interfaces

	* src/dedtype.c: warn:interface

	* src/ded.c: dedmsg,warn,deddump:interfaces

	* src/dedscan.c: warn:interface

	* src/dedname.c: dedmsg,warn:interface

1992-04-06  ste_cm

	* src/dedname.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

	* src/dedname.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-04-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c: dedmsg,warn:interface

	* src/deddump.c: deddump,warn:interface

1992-04-06  ste_cm

	* src/deddump.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

	* src/deddump.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-04-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/deddoit.c: warn:interface

	* src/sortset.c: dedmsg:interface

1992-04-06  ste_cm

	* src/sortset.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedview.c, src/dedmake.c, src/dedfind.c: dedmsg:interface

1992-04-06  ste_cm

	* src/dedfind.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: interfaces to 'show_message()' & 'realstat()'

	* src/ded.h: realstat:interface

	* src/ded.c: more FOO's gone!

	* src/ded.h: resleep:interface

	* src/ded.h, src/ded.c, src/dedscan.c, src/deddoit.c, src/dedwait.c:
	retouch,dedwait:interfaces

1992-04-06  ste_cm

	* src/dedwait.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c: retouch,dedwait:interfaces

	* src/ded.c, src/dedline.c, src/dedview.c, src/ded.h:
	restat,rescan:interface

	* src/ded.c, src/ded.h, src/dedview.c, src/deddoit.c, src/sortset.c, src/deduniq.c:
	dedview:interfaces

1992-04-06  ste_cm

	* src/deduniq.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

	* src/deduniq.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-04-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c, src/dedshow.c: dedview:interfaces

1992-04-06  ste_cm

	* src/dedshow.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

	* src/dedshow.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1992-04-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedread.c: dedview:interfaces

1992-04-06  ste_cm

	* src/dedread.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedfind.c: dedview:interfaces

	* test/test2.cmd, test/test1.cmd: split out 'dedview.c'

	* src/dedmake.c, src/dedline.c: dedview:interfaces

1992-04-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.h: oops: introduced a typo into _ONE macro

	* src/ded.h, src/ded.c: split 'dedview.c' out of 'ded.c'

	* src/dedview.c: RCS_BASE

	* src/Makefile: split 'dedview.c' out of 'ded.c'

	* src/dedscan.c, src/dedline.c: showFILES:interface

	* src/ded.h, src/ded.c: showFILES, showVIEW, showMARK: interface

	* src/ded.h, src/ded.c: interfaces of forward, backward, showWHAT

	* src/dedline.c: fixname, fixtime:interface

	* src/deddoit.c: fixname:interface

	* src/ded.c: eliminated FOO from several internal procedures,
	plus fixtime & fixname

	* src/ded.h: interfaces of fixtime & fixname

	* src/ded.c, src/ded.h: interface mods to upLINE, downLINE, showDOWN

	* src/dedsort.c: findFILE:interface

	* src/ded.c: scroll_to_file:interface
	markset:interface
	findFILE:interface
	(make these changes to get rid of FOO -- global data)

	* src/ded.h:
	changed interfaces of markset & findFILE to get rid of global
	data

	* src/dedtype.c: markset:interface

	* src/dedfind.c: scroll_to_file:interface

	* src/ded.h: interfaces of 'to_file()' and 'scroll_to_file()'

	* src/ded.c: eliminated FOO from 'viewset()' and 'to_file()'

	* src/ded.c: corrected call on 'new_tree()'
	revised interface of 'ft_view()' so that this is the last
	module with FOO -- global data

	* src/ftree.c:
	changed interface of 'ft_view()' so that caller can get the
	updated value of 'gbl'
	(gets rid of FOO -- global data)

	* src/dedring.c: eradicated FOO (global data)

	* src/ded.h: changed interface of 'ft_view()' so I can get rid of FOO

	* src/ded.c: make new internal procedure 'new_process()' to clean up
	clutter before I modify interface to 'ft_view()'

	* src/dedring.c:
	got rid of FOO, except for updating global variable at the
	end of 'dedring()' -- must still retest 'ring_rename()'

	* src/ftree.c:
	mods to 'dedring()' imply I must update local variable 'gbl'

	* src/dedline.c: modified interface of 'ring_path()'

	* src/ded.h: modified interface of 'dedring()' -- added gbl-arg

	* src/ded.c: modified interface to 'dedring()'

	* src/deddoit.c: modified interface of 'ring_path()'

	* src/ded.c: lint

	* src/dedring.c: combined 'save()' and 'unsave()' into 'ring_copy()',
	thereby eliminating use of FOO (global data) in those
	procedures.

1992-04-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c:
	got rid of logic which prevented freeing first top_argv to
	be allocated (obs); fixed error in 'ring_args()' -- wrong
	size of allocation.

	* src/dedring.c: moved logic for 'ring_args()' here from 'ded.c'

	* src/ded.h: new entrypoint 'ring_args()'

	* src/ded.c: chopped out logic for 'ring_args()'

	* src/dedring.c: added 'ring_pointer()'
	make 'ring_get()' public, obsoleted 'dedrang()'
	modified so that we store sort_key separate from 'new_wd'
	field of RING, means that we no longer have to toggle
	representation of pathname to store/load.

	* src/ded.h: 'ring_get()' obsoletes 'dedrang()' entrypoint.
	added 'ring_pointer()'

	* src/ftree.c: use 'ring_get()' instead of 'dedrang()'

	* src/ftree.c, src/dedline.c, src/deddoit.c, src/ded.h, src/dedring.c:
	ring_path:interface

	* src/ftree.c, src/dedname.c, src/ded.h, src/dedring.c:
	ring_rename:interface

	* src/dedline.c, src/ded.h, src/dedname.c: dedname-interface

	* src/ftree.c: eradicated FOO (global data)

	* src/ftree.c, src/ded.h, src/dedscan.c, src/ded.c: ftree-interface

	* src/ftree.c:
	use macros public/private to setup for change of interface
	(no obj change in this, or prior delta)

	* src/ftree.c: took out TEST-ifdefs (too obsolete to maintain)

	* src/dedsort.c: eradicated FOO (global data)

	* src/ded.h, src/dedring.c, src/ded.c, src/deduniq.c, src/dedsort.c:
	dedsort-interface

	* src/dedmake.c: eradicated FOO (global data)

	* src/dedmake.c, src/ded.c, src/ded.h: dedmake-interface

	* src/deddoit.c: eradicated FOO (global data)

	* src/ded.c: deddoit-interface

	* src/ded.h: deddoit-interface
	definition of GROUPED (no longer uses FOO, global)

	* src/deddoit.c: deddoit-interface

	* src/dedline.c: eradicate FOO (global data)

	* src/dedline.c, src/dedmake.c, src/ded.h, src/ded.c: dedline-interface

	* src/ded2s.c: eradicated FOO (global data)

1992-04-02  ste_cm

	* src/ded2s.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c, src/dedtype.c, src/dedline.c, src/deddoit.c, src/ded2s.c, src/ded.c, src/ded.h:
	ded2s-interface

	* src/ded.c, src/ded.h, src/sortset.c: sortset-interface

	* src/ded.h, src/ded.c, src/dedfind.c: dedfind-interface

	* src/dedscan.c, src/ded.c, src/ded.h, src/dedread.c: dedread-interface

	* src/deduniq.c: eradicated FOO (global data)

	* src/ded.c, src/deduniq.c, src/ded.h: deduniq-interface

	* src/dedtype.c: eradicated FOO (global data)

	* src/ded.h, src/dedtype.c: more-interface

1992-04-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c, src/ded.h:
	change interface to 'dedtype()' to get rid of global-data

	* src/dedtype.c: change interface to get rid of global-data

	* src/dedscan.c:
	use new gXXX macros to eradicate use of FOO (global data)

	* src/ded.h:
	new macros gXXX to use when passing RING-struct as parameter

	* src/dedscan.c:
	got rid of variable FOO (except where buried away within
	macros)

	* src/dedtype.c, src/ded.h, src/dedscan.c, src/dedring.c, src/dedmake.c, src/dedline.c, src/ded.c:
	modified interfaces to dedscan.c to allow decoupling from global RING-struct

	* src/ded.c, src/dedtype.c, src/ftree.c, src/dedring.c, src/deddoit.c, src/dedsort.c, src/ded2s.c, src/dedmake.c, src/dedscan.c, src/dedline.c, src/sortset.c, src/dedfind.c, src/dedread.c, src/deduniq.c:
	converted most global variables to RING-struct

	* src/Makefile: moved ded2s to correspond with alphabetical order

	* src/ded.h: converted most global variables to RING-struct

1992-03-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c, src/ftree.c: lint

	* src/ftree.c:
	buffer strings in 'ft_write()' before I/O to avoid making
	lots of writes (which is slow in a network)

	* test/test2.cmd, test/test1.cmd: new make-rules

	* src/ded.c:
	corrected a place where highlighting a shifted-line was not
	always done right (I repeated the text if the beginning of
	the field was shifted before the left margin).

1992-03-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: typo

	* src/dedtype.c:
	modified last change so that if the file to be restat'd if
	a symbolic link, we will show the target-stat while typing

1992-03-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c:
	modified so that if user is typing the current-file (as
	opposed to help-file), then we update the filelist-line
	along with the page-size information.  do this to make it
	work better when typing a log-file.

	* src/ded.c: modified interface to 'dedtype()'

	* src/ded.h: change interface of 'dedtype()'

	* src/Makefile: use .c.a rule to avoid leaving ".o" files around

1992-02-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c: *** empty log message ***

	* src/Makefile: use "dyn_string.h"

	* src/dedring.c: corrected save/unsave for 'cmd_sh'

	* src/deddoit.c: oops: cleared 'cmd_sh' in the wrong place

	* src/dedshow.c:
	rewrote so that I can handle arbitrarily long buffers, as
	well as to recognize the special nonascii coding for ellipsis
	used in 'deddoit.c'

	* src/dedring.c:
	changed type of 'cmd_sh' since it is now a dynamic-string

	* test/run_test.sh: add/use 'traceback.sh'

	* test/Makefile: added 'traceback.sh'

	* src/version.h:
	(except for 'dlog.c') modified so that shell commands &
	substitution are done on dynamic-strings, allowing them to
	be very long. show ellipsis if "#" substitution is longer
	than 256-chars.

	* src/deddoit.c: recoded to use dynamic strings.

	* src/ded.c, src/ded.h: changed 'cmd_sh' to a dynamic-string

	* src/dedshow.c:
	gave this a very long command & broke it: fixed by limiting
	the lines-shown.

	* src/README: afterthoughts

1992-02-28  ste_cm

	* src/README: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* Makefile: -x option of checkout is obsolete

1992-02-27  ste_cm

	* Makefile: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-21  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: new thot.

1992-02-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c: collapsed trans/untrans together.
	corrected logic of 'ring_bak()', which was causing 'B'
	command to be incorrect.

1992-02-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: *** empty log message ***

	* src/dedring.c, src/ftree.c, src/dedname.c: lint

1992-02-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	make directory-renaming work properly by renaming file-lists
	as well.

	* src/ftree.c: broke out 'is_subpath()' -- need this in 'dedrering()'
	use 'dedrering()' to make directory-renaming work properly

	* src/README: cleanup some old nits

	* src/dedring.c:
	added procedure 'dedrering()' to implement directory-list
	renaming.

	* src/dedname.c: make directory-renaming work better with new procedure
	'dedrering()'

	* src/ded.h: added 'dedrering()', some cleanup.

	* src/ftree.c:
	noticed that I had forgotten to implement the '=' command
	(except in database-only).  did so.

	* src/ftree.c:
	modified so that 'R' command will reset 'V' toggle on a node
	if it has no children

	* src/ftree.c: make 'V' toggle work properly if node has no children
	reordered some stuff to make void/int procedures more kosher.

1992-02-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	modified z/Z sort to make it easier to use. Now, 'Z' sorts
	by difference between checkin/modification times.  Also,
	rather than showing only '<' or '>', I show '-' and '+' if
	only one second difference applies -- makes it simpler to
	read when looking at apollo restores.

	* src/dedsort.c:
	modified 'Z' sort to difference between checkin/modification
	dates.

1992-02-04  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded2s.c:
	when ztime/mtime differ by only a second, show + or -, ratehr
	than > or <.

	* src/Makefile, Makefile: *** empty log message ***

	* Makefile, src/Makefile: consistent COPY, GET

1992-01-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	corrected an error in 'dedmake()' which broke replay-logic.
	make 'ded' able to treat argument which is a single file.

	* src/dedmake.c:
	corrected a "little" bug which caused this to screw up the
	state of the replay-logic in 'dedline()' if a user-error
	was found.

1992-01-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c: make this handle "?" and "*" in initial argument

	* src/dedscan.c:
	if only a pathname is given in the initial arguments, then
	initialize the 'toscan' pattern to match the filename.

1991-12-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: corrected use of 'copy'

1991-12-05  ste_cm

	* src/Makefile: BASELINE Thu Dec  5 15:14:27 1991

1991-11-21  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: make 'tag_opt' public

1991-11-21  ste_cm

	* src/ded.c: BASELINE Thu Nov 21 07:36:21 1991

1991-11-21  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c: save/unsave tag_opt

1991-11-21  ste_cm

	* src/dedring.c: BASELINE Thu Nov 21 07:36:21 1991

1991-11-21  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.h: make tag_opt public

1991-11-21  ste_cm

	* src/ded.h: BASELINE Thu Nov 21 07:36:21 1991

1991-11-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c:
	corrected 'edittext()'; was not properly clearing buffer if
	I got a kill-character.

1991-11-12  ste_cm

	* src/dedline.c: BASELINE Tue Nov 12 12:14:11 1991

1991-11-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/traceback.sh: RCS_BASE

1991-11-12  ste_cm

	* test/traceback.sh: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

	* test/traceback.sh:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1991-11-12  Thomas E. Dickey  <tom@invisible-island.net>

	* test/walkback.sh: RCS_BASE

1991-10-22  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/run_test.sh:
	made this test for batch-mode (cannot run then, because we have no /dev/tty)

1991-10-22  ste_cm

	* test/run_test.sh: BASELINE Tue Oct 22 12:22:42 1991

1991-10-21  ste_cm

	* src/ded.h:
	added an unused member at the beginning of FLIST (next) that
	is there to fool the optimizer of Apollo CC 6.7 into working
	properly.

1991-10-18  ste_cm

	* test/RCS, src/RCS, RCS, src/dedscan.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

	* src/dedscan.c: broke up logic in 'statLINE()' to avoid apollo cc 6.7 
	optimizer bug (it made the first arg on 'dedstat()' null).

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test2.cmd: filter file-group

1991-10-18  ste_cm

	* test/test2.cmd:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/edit_test.sh: do the same for owner (uid)

1991-10-18  ste_cm

	* test/edit_test.sh:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/edit_test.sh: try hack to filter out groups from test2.cmd

	* test/run_test.sh: test assumes 'ded' has mode '755' initially

	* test/edit_test.sh: prefer $USER to $LOGNAME (actually from `whoami`)

	* src/Makefile:
	need both rcsdefs.h & sccsdefs.h in both dedscan.c, ftree.c

	* src/ftree.c: converted to ANSI

1991-10-18  ste_cm

	* src/ftree.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c: adjusted includes

	* Makefile: cleanup recursion

1991-10-18  ste_cm

	* Makefile: BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test1.cmd: mods to test

1991-10-18  ste_cm

	* test/test1.cmd:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test2.cmd: mods to test

	* test/run_test.sh: removed log-comment
	run from test-versions
	don't write to log-file directly

	* test/test3.cmd: mods to test

1991-10-18  ste_cm

	* test/test3.cmd:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

	* test/test3.cmd: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/Makefile:
	made invocation of run_tests consistent with other programs

1991-10-18  ste_cm

	* test/Makefile:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/edit_test.sh: removed log-comment
	run from test-versions

	* src/dedline.c, src/dedmake.c: lint

1991-10-18  ste_cm

	* src/dedmake.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.h: added extern-def for 'sortc[]'

	* src/ded.c, src/dedsigs.c: lint

1991-10-18  ste_cm

	* src/dedsigs.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

	* src/dedsigs.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

	* src/dedsigs.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c: lint

1991-10-18  ste_cm

	* src/dedtype.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.h: added externs for 'debug' and 'no_worry'

	* src/dedring.c, src/showpath.c: converted to ANSI

1991-10-18  ste_cm

	* src/showpath.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

	* src/showpath.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

	* src/showpath.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c, src/sortset.c: converted to ANSI

1991-10-18  ste_cm

	* src/sortset.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedsort.c: converted to ANSI

1991-10-18  ste_cm

	* src/dedsort.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c, src/deddump.c: converted to ANSI

1991-10-18  ste_cm

	* src/deddump.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dlog.c: converted to ANSI

1991-10-18  ste_cm

	* src/dlog.c: BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

	* src/dlog.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded2s.c: converted to ANSI

1991-10-18  ste_cm

	* src/ded2s.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedsigs.c, src/deddoit.c: converted to ANSI

1991-10-18  ste_cm

	* src/deddoit.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: eliminated override of CFLAGS

	* src/dedfree.c: converted to ANSI

1991-10-18  ste_cm

	* src/dedfree.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

	* src/dedfree.c: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

	* src/dedfree.c:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedname.c: converted to ANSI

1991-10-18  ste_cm

	* src/dedname.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedwait.c: converted to ANSI

1991-10-18  ste_cm

	* src/dedwait.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/deduniq.c: converted to ANSI

1991-10-18  ste_cm

	* src/deduniq.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedshow.c: converted to ANSI

1991-10-18  ste_cm

	* src/dedshow.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedread.c: converted to ANSI

1991-10-18  ste_cm

	* src/dedread.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedfind.c: converted to ANSI

1991-10-18  ste_cm

	* src/dedfind.c:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.h: trim out redundant prototype for 'main()'

1991-10-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* user/ded.man: mods to inline-edit commands

1991-10-16  ste_cm

	* user/ded.man:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c:
	made editprot/edittext look more like each other by making the
	former recognize CTL/B and CTL/F; also newline and '\f'.

	* src/ded.hlp: made 'p' command look more like u/g/= commands.
	noted that 'c' can be repeated.

1991-10-16  ste_cm

	* src/ded.hlp:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

	* src/ded.hlp: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1991-10-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: mods to support replay of 'c' commands

1991-10-16  ste_cm

	* src/version.h:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

1991-10-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedmake.c: revised so that replay (") command works here

	* src/ded.c: mods to allow replay of 'c'-commands

	* src/ded.h: mods to support replay in 'c' commands

	* src/dedline.c: mods to allow replay with 'c'-commands

1991-10-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedmake.c, src/dedline.c: converted to ANSI

	* src/ded.h:
	added prototype-definitions for all modules in this directory

	* src/Makefile: added rules for generating prototypes

	* src/ded.h: corrected ENV-macro (for ANSI cpp)
	removed obsolete externs

	* src/ded.c: converted to ANSI

1991-10-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: lint

1991-09-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* user/ded.man: brought this up to date for baselines 9, 10

	* user/ded.man: standalone-macros

1991-09-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* user/ded.man: fixed the stuff that shows backslashes

	* user/ded.man: RCS_BASE

1991-09-09  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	make "2T" show days.fraction relative to the current time

	* src/ded2s.c: make "2T" show days.fractions relative to current time.
	lint

	* src/dlog.c: lint

	* src/deddump.c: lint: use return-value from 'win2file()'

	* src/ded.c: lint

	* test/Makefile, src/Makefile: fix clean-rule

1991-08-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	interpret "2T" to show numeric date (fractions of days)

	* src/ded.hlp, src/ded2s.c, src/ded.c: added interpretation of "2T"

1991-07-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.h: moved MAXPATHLEN definition to "ptypes.h"

	* src/version.h: added command-substitution codes u,g,v,y

	* src/ded.hlp: added notes about u,g,v,y substitutions

	* src/deddoit.c: added codes u,g,v,y for non-pathname substitution

1991-07-22  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: quote filename before using it in 'forkfile()'

1991-07-19  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c:
	added parm to 'markset()' to tell if we must clear workspace

	* src/dedtype.c: modified interface to 'markset()'

1991-07-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h, src/dedsort.c, src/ded.hlp, src/sortset.c:
	added @-sort and D-sort

1991-07-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: modified logic of 'edithead()' to account for the case in
	which the current entry contains '/'.

	* src/ded2s.c: inode-value and number-of-blocks are unsigned

	* src/dedtype.c: inode-value is unsigned

	* src/ftree.c:
	broke out guts of 'ft_insert()' to allow special call from
	'ft_view()', allowing it to recover from bizarre case on
	SunOS where real (mounted) directory was masked by a symbolic
	link.

1991-07-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c:
	added guard in case 'ft_insert()' fails to insert current-dir

1991-07-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: last change introduced errs in 'count_tags()'

	* src/ded.hlp: note about CTL/G

	* src/version.h: added CTL/G command

	* src/ded.c: added CTL/G command to show tagged files (+blocks/bytes).
	cleanup some message code.

1991-07-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedfind.c, src/dedread.c, src/dedshow.c, src/deduniq.c, src/sortset.c, src/deddoit.c, src/dedtype.c, src/ded.c:
	modified interface to to_work()

	* src/dedtype.c: removed redundant workspace-clear on exit

	* src/version.h: minor nits about screen refresh

	* src/dedtype.c: use 'showMARK()' to show current-column

	* src/ded.c: broke-out 'showMARK()' for use in 'dedtype()'

	* src/dedscan.c: modified interface to 'showFILES()'

	* src/dedline.c:
	modified interface to 'showFILES()' so that workspace is not
	cleared when doing the inline operations.

	* src/ded.c:
	modified interface to 'showFILES()' so that scrolling (in a
	given file-list) and inline/toggle operations do not cause
	the workspace to be cleared.

1991-07-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.hlp: updated notes for S,P commands (now 3-way)

	* src/version.h: made file-list 'S' and 'P' commands 3-way.

	* src/ded2s.c:
	made S_opt, P_opt 3-way toggles. S_opt is 3-way so I can show
	either blocks/bytes or both. P_opt is 3-way to show as a
	side-effect uid/gid numerically as well as protection.

	* src/ded.c: made S_opt, P_opt 3-way toggles.

1991-07-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c:
	corrected column-limit logic (very long lines, longer than
	BUFSIZ would never get a newline, causing following lines
	to not be displayed).

1991-06-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c, src/deddoit.c, src/ftree.c, src/sortset.c:
	lint (apollo sr10.3)

	* src/ded.h: lint (defined 'blip()')

	* src/version.h:
	corrected code which knows about effective/real user-id
	(e.g., flag for executable, permission for chmod).
	Added P-sort (sorts extended-acl-flag).

	* src/ded.hlp, src/sortset.c: added P-sort

	* src/dedsort.c:
	added P-sort (same as p-sort, but keeps "+" for apollo-sr10
	extended-acls sorted into groups)

	* src/dedline.c:
	corrected code which tests for user's id (look at effective
	uid, not real-uid).

	* src/ded2s.c:
	corrected code which tests for executable-access (must look
	at effective-id, not real-id).

1991-06-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: don't need "-" special argument to make pipe-args.

1991-06-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedsigs.c: lint (apollo sr10.2)

1991-06-11  ste_cm

	* src/dedsigs.c: BASELINE Tue Jun 11 08:46:03 1991 -- apollo sr10.3

1991-06-10  ste_cm

	* test/RCS, src/RCS, RCS:
	BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-06-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* Makefile: cleanup install-rule

1991-06-05  ste_cm

	* Makefile: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-06-04  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c:
	forgot to reset column on successive blank-lines that are
	suppressed.

1991-06-04  ste_cm

	* src/dedtype.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-06-04  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c:
	corrected logic in q/Q/F/B commands which caused program to
	hang when call on 'fd_ring()' failed to find a path.

1991-06-04  ste_cm

	* src/ftree.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-31  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	highlight the subtree in ftree 'R' command. mods for apollo
	sr10.3

1991-05-31  ste_cm

	* src/version.h: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-31  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/showpath.c:
	added 'base' argument to control highlighting of a portion
	of the path.

1991-05-31  ste_cm

	* src/showpath.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-31  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c:
	modified interface to 'showpath()' so that 'fd_slow()' will
	highlight subtree scanned by 'ft_scan()'. increased width
	of number-tag.

	* src/ded.c: modified interface to 'showpath()'

1991-05-31  ste_cm

	* src/ded.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedsigs.c: mods to accommodate apollo sr10.3

	* src/showpath.c, src/sortset.c:
	apollo sr10.3 cpp complains about tag on #endif

1991-05-16  ste_cm

	* src/sortset.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: mods to accommodate apollo sr10.3

	* src/dlog.c: apollo sr10.3 cpp complains about tag on #endif

1991-05-16  ste_cm

	* src/dlog.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded2s.c: apollo sr10.3 cpp complains about tag on #endif

1991-05-16  ste_cm

	* src/ded2s.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedwait.c: apollo sr10.3 cpp complains about tag on #endif

1991-05-16  ste_cm

	* src/dedwait.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/deduniq.c: apollo sr10.3 cpp complains about tag on #endif

1991-05-16  ste_cm

	* src/deduniq.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c: mods to accommodate apollo sr10.3

	* src/dedsort.c: apollo sr10.3 cpp complains about tag on #endif

1991-05-16  ste_cm

	* src/dedsort.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedname.c: apollo sr10.3 cpp complains about tag on #endif

1991-05-15  ste_cm

	* src/dedname.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedshow.c: apollo sr10.3 cpp complains about tag on #endif

1991-05-15  ste_cm

	* src/dedshow.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c: apollo sr10.3 cpp complains about tag on #endif

1991-05-15  ste_cm

	* src/dedscan.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c: apollo sr10.3 cpp complains about tag on #endif

1991-05-15  ste_cm

	* src/dedring.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedread.c: apollo sr10.3 cpp complains about tag on #endif

1991-05-15  ste_cm

	* src/dedread.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedmake.c: apollo sr10.3 cpp complains about tag on #endif

1991-05-15  ste_cm

	* src/dedmake.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c: mods to accommodate apollo sr10.3

1991-05-15  ste_cm

	* src/dedline.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedfree.c: apollo sr10.3 cpp complains about tag on #endif

1991-05-15  ste_cm

	* src/dedfree.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedfind.c: apollo sr10.3 cpp complains about tag on #endif

1991-05-15  ste_cm

	* src/dedfind.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/deddump.c: apollo sr10.3 cpp complains about tag on #endif

1991-05-15  ste_cm

	* src/deddump.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/deddoit.c: apollo sr10.3 cpp complains about tag on #endif

1991-05-15  ste_cm

	* src/deddoit.c: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-05-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: mods to accommodate apollo sr10.3

	* src/ded.h: apollo sr10.3 cpp complains about tag on #endif

1991-05-15  ste_cm

	* src/ded.h: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-04-22  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c:
	added stripped-mode to make looking at binary files easier on
	my eyes.

	* src/ded.c: re-open standard input if we were reading from a pipe.

	* src/dedwait.c: lint

1991-04-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c:
	fixed end-of-buffer code for 'edittext()' (caused spurious
	data overwrites).

	* src/version.h, src/ded.hlp: added ':' command to directory-tree

1991-04-18  ste_cm

	* src/ded.hlp: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1991-04-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: added ':' command to simplify jumps to specific point
	,

	* src/ded.hlp: added note about hard-link

	* src/version.h: added "cL" command to create hard links.

	* src/dedmake.c:
	added command "cL" to create hard link (implicitly to the
	current entry).

	* src/ded.c:
	mods to 'dedwait()' and 'dedread()' to debug and guard against
	user-pattern not finding files.

	* src/dedread.c:
	added flag to control whether identical pattern returns
	true or false (so that if nothing is found, we can force
	re-invocation of this procedure).

1991-04-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c: modified debug-trace to make it easier to watch

	* src/dedwait.c:
	added flag to allow this to be used for debugging (non-curses)

	* src/deddoit.c: modified interface of 'dedwait()'

1991-04-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: absorb backslash in shell command only when "#" or "%"
	follows (briefer).

	* src/ded.c: suppress empty-strings from argument list

	* src/deddoit.c:
	absorb backslash only when it precedes "#" or "%", to make
	typing commands with backslashes simpler (though inconsistent).
	also, made the static buffers auto (cleaner code).

	* src/version.h:
	modified so that "-" argument causes DED to read a list of
	arguments from stdin (no wildcard expansion!)

	* src/ded.c: interpret "-" argument as read-from-standard-input

1991-04-04  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	mods to recover/proceed when 'chdir()' works but 'getwd()'
	does not (execute, but no read permission in path).

	* src/ded.c, src/dedscan.c, src/dedring.c:
	guard against 'getwd()' failure.

1991-04-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	added CTL/I (tab) subcommand to 't' (type) to alter tabs.

	* src/dedtype.c:
	added command (tab-character) to allow user to alter tab
	stops in the display.

1990-08-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: added better error recovery to ".ftree" read/write

	* src/ded.c:
	mods to make error-reporting routines work properly if they
	are called before screen is initialized, etc., to support mods
	to "ftree.c" for better error recovery.

	* src/ftree.c:
	modified 'ft_read()' and 'ft_write()' to try to recover from
	missing/corrupt ".ftree" file.

	* src/Makefile: really need to lint with apollo stuff, tho not portable

1990-08-27  ste_cm

	* src/Makefile: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1990-08-13  ste_cm

	* test/RCS, src/RCS, RCS:
	BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

1990-08-13  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c: lint

1990-08-13  ste_cm

	* src/dedscan.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

1990-08-13  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c: lint

1990-08-13  ste_cm

	* src/dedtype.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

1990-07-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c:
	modified 'argstat()' and 'dedstat()' so that 'dedstat()' does
	all of the stat-work.  Did this so that it calls 'statSCCS()'
	for all directory arguments, making 'l' command work properly.
	Also, this eliminates a redundant 'stat()' in 'argstat()'.

1990-05-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: corrected bug in 'new_tree()' introduced in last change

1990-05-23  ste_cm

	* src/ded.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

1990-05-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.hlp: added CTL/E command for directory
	corrected omitted 'rcs' where 'sccs' is mentioned

1990-05-23  ste_cm

	* src/ded.hlp: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

1990-05-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: corrections to edit-link 'E' command (for DSEE)
	corrections to path-prefix stripping in 'dedscan()'
	make "-t" option inherit into subprocesses of 'ded'.
	make CTL(E) command on directories set scan-pattern.

1990-05-23  ste_cm

	* src/version.h: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

1990-05-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c:
	added a missing case to handle 'set_pattern' arg of 'dedring'
	(when we are using CTL(E) command like CTL(R)).

1990-05-23  ste_cm

	* src/dedring.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

1990-05-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: allow CTL(E) command from directory-tree as well

	* src/ftree.c:
	set initial "=>" marker in 'ft_view()' so that caller can
	give an arbitrary 'path' value (e.g., when error-recovering
	from 'E' command).  Also, pass CTL(E) command out of 'ft_view()'
	like 'E' command.

1990-05-23  ste_cm

	* src/ftree.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

1990-05-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c:
	modified 'dedring()' so that an initial scan-pattern can be
	specified, to support the CTL(E) command.

	* src/ftree.c, src/dedname.c: modified interface to 'dedring()'

1990-05-23  ste_cm

	* src/dedname.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

1990-05-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c:
	modified so that CTL(E) and CTL(V) on a directory will cause
	a prompt for read-pattern a la CTL(R).

	* src/dedread.c: make the pattern to be set an argument

1990-05-23  ste_cm

	* src/dedread.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

1990-05-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c:
	modified 'edithead()' so it does the "right" thing when going
	to an Apollo DSEE revision

1990-05-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c:
	added code to strip prefixes which are common to the new-wd,
	but not among the other arguments.

1990-05-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/run_test.sh: set umask to make test repeatable

1990-05-11  ste_cm

	* test/run_test.sh:
	BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* test/run_test.sh: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

1990-05-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: make "-t" option inherit into subprocesses

1990-04-30  ste_cm

	* test/RCS, src/RCS, RCS: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

1990-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	corrections/modifications to pathname resolution to try to
	avoid confusion in ".." sequences with symbolic links vs bugs
	found when invoking ded while su'ing.  To do this, reduced
	usage of 'abspath()' in favor of 'abshome()'.

1990-04-27  ste_cm

	* src/version.h: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

1990-04-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c:
	corrected code which tries to circumvent unreadable old_wd
	(had broken the 'R' command in that fix...)

1990-04-25  ste_cm

	* src/dedscan.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

1990-04-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c:
	refined pathname-conversion using 'abshome()' followed by
	'getwd()' when needed, rather than 'abspath()' to avoid
	confusion with symbolic links.

1990-04-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded2s.c:
	corrected 'time2s()' to handle dates past coming midnight

1990-04-24  ste_cm

	* src/ded2s.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/ded2s.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

1990-04-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c:
	modified 'argstat()' so that if shell (e.g., Bourne) passes
	a "~" argument, we expand it properly.

1990-04-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c:
	modify initial 'chdir()' so we try to recover from unreadable
	directory (e.g., when invoking "su" from a protected directory)

1990-04-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	correction to 'E' command (following symbolic link to file).
	invoke 'rcslast()' to show "RCS,v" (permit-file) version.

	* src/Makefile: updated include-dependency for 'dedscan.c'

1990-04-18  ste_cm

	* src/Makefile: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/Makefile: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* test/RCS, src/RCS, RCS: (permit!)

1990-04-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c:
	invoke 'rcslast()' to pick up information about permit-file
	(e.g., "RCS,v").

1990-04-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: simplified/corrected code for 'edithead()'

1990-04-17  ste_cm

	* src/ded.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

1990-04-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile:
	suppress .c.a rule to cover up apollo sr10.2 make-bug (ded.c -> ded.a)

1990-03-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: lint

1990-03-06  ste_cm

	* src/ded.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-03-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/deddoit.c: lint

1990-03-06  ste_cm

	* src/deddoit.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/deddoit.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* src/deddoit.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-03-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c: lint

1990-03-06  ste_cm

	* src/dedline.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/dedline.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* src/dedline.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-03-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: lint

1990-03-06  ste_cm

	* src/ftree.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/ftree.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-03-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/sortset.c: lint

1990-03-06  ste_cm

	* src/sortset.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/sortset.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* src/sortset.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-03-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c:
	test for sort-keys which assume RCS/SCCS scanning is in effecect
	and perform scanning if it has not been done.

	* src/dlog.c: 'cmdch()' can now return explicit zero-count

1990-03-06  ste_cm

	* src/dlog.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/dlog.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* src/dlog.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-03-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test1.cmd: adjusted for command-changes

1990-03-05  ste_cm

	* test/test1.cmd: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* test/test1.cmd:
	BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* test/test1.cmd: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

	* test/test1.cmd:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-03-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/deduniq.c: corrected logging of selected-names

1990-03-05  ste_cm

	* src/deduniq.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/deduniq.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* src/deduniq.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-03-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test2.cmd: adjusted for command-changes

1990-03-05  ste_cm

	* test/test2.cmd: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* test/test2.cmd:
	BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* test/test2.cmd: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

	* test/test2.cmd:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-03-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: cleanup

1990-03-05  ste_cm

	* src/Makefile:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-03-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c: port to sun3 (os3.4)

1990-03-05  ste_cm

	* src/dedtype.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/dedtype.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-03-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: forgot to init reply-buffer in 'user_says()'

1990-03-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c:
	set 'no_worry' flag after successfully reading new-directory

1990-03-02  ste_cm

	* src/dedring.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/dedring.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-03-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: set 'no_worry' in 'dedring()', not 'new_args()'

	* src/Makefile: separated CFLAGS, INCLUDES, DEFINES defs

	* src/version.h:
	modified 't' command so that directories are shown in a
	reasonable form.  modified 'q' behavior to prompt user if
	he has gone into other directory than original-arg.  added
	"-n" option to support this (so subprocesses don't prompt).

1990-03-02  ste_cm

	* src/version.h:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-03-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: modified quit-behavior so that if user has gone into any
	directory other than the original one, he will be prompted
	on quit.  added "-n" option so this doesn't happen in a
	subprocess.

	* src/dedtype.c:
	for the special case of a directory-file, create a temporary
	file with the inode-values and names of the files.  Display
	this instead of the raw contents of the directory.

	* src/ded.c: added special case for typing contents of directory-file.

1990-02-08  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/deduniq.c: don't tag current entry unless other entries match!

1990-02-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	added 'showpath()' procedure to handle display of very-long
	paths.  modified '#' command to provide reset/set/all mode.

	* src/deduniq.c:
	rewrote, using 'level' argument to provide reset/set/all
	modes of operation.

	* src/ded.c:
	modified '#' command (deduniq-proc) to 3 modes of operation.

	* src/ded.hlp: modified '#' command to provide reset/set/all modes

1990-02-07  ste_cm

	* src/ded.hlp: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/ded.hlp:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-02-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/showpath.c: RCS_BASE

1990-02-01  ste_cm

	* src/showpath.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/showpath.c:
	BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* src/showpath.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-02-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c, src/ded.c:
	use 'showpath()' to handle long pathname-display

	* src/Makefile: added module 'showpath.c'

1990-01-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: added '-T' (and 'T' toggle) to show long date+time.
	added 0/2 repeat-count for ':' and '.' commands so we can
	reset/set clear-screen state from '!' or '%' commands.
	new 'T' toggle obsoletes 'T'-command, so this is changed to "2t"

	* src/ded2s.c:
	if 'T_opt' is set, display all date+time fields in long form,
	as returned by 'ctime()'

1990-01-30  ste_cm

	* src/ded2s.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-01-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/deddoit.c:
	pass 'sense' as argument to 'deddoit()' so user can alter the
	'clr_sh' flag explicitly.

	* src/ded.hlp:
	to ':' and '.' commands, added 0/2 repeat-count interpretation
	so user can alter refresh-state associated with '!' or '%'.
	also, added 'T' toggle (for date+time).  This obsoleted the
	'T' command for type-binary-file, which is now "2t".

	* src/ded.c: added 'T' (date+time) toggle and command-option to match.
	altered 't' command so "2t" types binary-file.
	modified shell-command stuff so 0/2 repeat-count on ':' or
	'.' can reset/set the clear-screen flag of '!'/'%' commands

	* src/dedring.c: save/restore T_opt

	* src/ded.h: added 'T_opt' to global data

1990-01-30  ste_cm

	* src/ded.h: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/ded.h: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* src/ded.h:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-01-22  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedsort.c: corrections to 'v'-sort

1990-01-22  ste_cm

	* src/dedsort.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/dedsort.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* src/dedsort.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1990-01-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: amended a few of the observed bugs

1990-01-11  ste_cm

	* src/README: BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

	* src/README: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/README: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* src/README: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

	* src/README:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1989-12-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/edit_test.sh: specify interpreter to avoid apollo sr10.1 bug

1989-12-11  ste_cm

	* test/edit_test.sh: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* test/edit_test.sh:
	BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* test/edit_test.sh: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

	* test/edit_test.sh:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1989-12-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/run_test.sh: specify interpreter to avoid apollo sr10.1 bug

1989-12-11  ste_cm

	* test/run_test.sh: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* test/run_test.sh:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1989-12-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test2.cmd, test/test1.cmd: added sortset.[co] module

	* src/sortset.c: corrected call on 'dlog_char()'

1989-12-08  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: added ":"-prompt scrolling for sort-commands

	* src/ded.hlp: added note about ":"-sort

	* src/sortset.c:
	added ':' special-sort to allow user to scroll among all
	sort options before selecting.

	* src/ded.h: lint ("ded_h" declaration).
	moved 'apollo_sr10' definition to "ptypes.h"

1989-12-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.hlp: documented special sort-keys '?' and newline

	* src/version.h: added special sort-keys '?' and newline.

	* src/sortset.c: RCS_BASE

	* src/ded.c: broke out 'sortset()' module

	* src/Makefile: broke 'sortset.c' out of 'ded.c'

1989-11-13  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c:
	added some error recovery in 'ft_read()' against corrupted
	".ftree" file (i.e., missing string-heap).

1989-10-31  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedsigs.c: fixed types for 'sun3'

1989-10-31  ste_cm

	* src/dedsigs.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/dedsigs.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* src/dedsigs.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1989-10-27  ste_cm

	* test/RCS, src/RCS, RCS:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

1989-10-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c:
	altered 'editmode()' to reduce number of register variables
	used (bypasses bug on sun3)

1989-10-26  ste_cm

	* src/dedline.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

1989-10-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: re-simplified 'ft_stat()' (don't need lstat)

1989-10-16  ste_cm

	* src/ftree.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

1989-10-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c:
	altered 'ft_stat()' so we don't look at stat.st_ino (don't
	assume inode is positive!), and to use lstat/stat combination

	* src/dedscan.c: suppress 'ft_insert()' for "." and ".."

1989-10-16  ste_cm

	* src/dedscan.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* src/dedscan.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1989-10-13  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c:
	trim lines containing blanks so we don't display extra gaps

1989-10-13  ste_cm

	* src/dedtype.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

1989-10-13  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded2s.c:
	gave up on function-prototype for type_$get_name(), since
	ref-variables only work for input-args.

1989-10-13  ste_cm

	* src/ded2s.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

1989-10-13  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded2s.c: corrected pointer-bug in z_lock/z_vers display

	* src/README: added note about sr10 bug in 'stat()'

1989-10-13  ste_cm

	* src/README:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

1989-10-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: tuned apollo sr10.1 code (type-uid display).
	make "2G" and "2I" commands show double-columns of info.
	enhanced treatment of 'cmdcol[]' for better alignment.
	protect against chmod of extended-acls
	refined "st" command to handle "." and DSEE files.
	corrected RCS/SCCS display to show version/locker always.

1989-10-12  ste_cm

	* src/version.h:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

1989-10-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.hlp: added interpretation of 2I, 2G commands

1989-10-12  ste_cm

	* src/ded.hlp:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

1989-10-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded2s.c:
	refined the date-conversion in 'time2s()'.  added procedure
	'has_extended_acl()'

	* src/dedsort.c:
	refined inode-, uid-, gid-sorts so that if I_opt or G_opt are
	in two-column mode, we sort what the user sees.

1989-10-12  ste_cm

	* src/dedsort.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

1989-10-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: converted 'I', 'G' commands to three-state toggles

1989-10-12  ste_cm

	* src/ded.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

1989-10-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c:
	altered format so that uid,gid columns are not necessarily
	obscured (G_opt == 2).  also, prevent chmod if object has
	extended acls -- and user is not owner (prevents trouble!)

	* src/ded.h:
	made uid,gid columns quasi-independent.  force rcs-ident to
	be seen in "ded.o".

1989-10-12  ste_cm

	* src/ded.h:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

1989-10-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c:
	only fall-thru to 'sccslast()' if we found *nothing* of rcs.

	* src/ded2s.c:
	show z_vers, z_lock fields even if z_time is null, since we
	may have gotten to the view via a symbolic link.

	* src/ded2s.c: recoded 'type_uid2s()' using 'type_$get_name()'

1989-10-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded2s.c: recoded type-uid table with a pipe-call to 'lty'

	* src/dedsort.c:
	added apollo-only fix for t-sort for DSEE-directory names
	(ending with "$.*.$").

1989-10-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedsort.c: modified 't' sort so that names beginning with '.' are
	sorted in a more natural manner

	* src/ded.c:
	modified 'showFILES()' so that on certain calls we reset the
	'cmdcol[]' array.

	* src/ded2s.c:
	modified computation of 'cmdcol[]' so that it is not reset
	per-line, but accumulated in a file-list.  added column
	after size-field, since sr10.1 has some long dev-ids!

	* src/ded.h: added mnemonics for 'cmdcol[]' indices

	* src/dedscan.c: modified interface to 'showFILES()'

	* src/dedline.c: modified treatment of 'cmdcol[]' (cf: showFILES)

1989-10-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedmake.c: modified treatment of 'cmdcol[]' (cf: showFILES)

1989-10-05  ste_cm

	* src/dedmake.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* src/dedmake.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/dedmake.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* src/dedmake.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1989-10-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c: save/restore 'cmdcol[]' per-list

1989-10-05  ste_cm

	* src/dedring.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

1989-10-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded2s.c: corrected treatment of nil-objects

	* src/ded2s.c: don't show deleted-files as having extended acls

1989-10-04  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	added code for apollo/sr10.1: show extended acls, added
	options '-a' and '-O', with corresponding commands '&' and
	'O', sorts 'o' and 'O'.

	* src/ded2s.c: added code to support 'O' toggle (show object-types)

	* src/ded.hlp: added -a, -O options
	added '&', 'O' toggles, 'o', 'O' sorts

	* src/dedsort.c: added o,O sorts

	* src/ded.c: added -a, -O options
	added &, O toggles
	added o, O sorts

	* src/dedscan.c: added A_opt code (permit dot-names)

	* src/dedring.c: save/restore A_opt, O_opt

	* src/ded.h: added apollo_sr10 definition, and A_opt, O_opt variables

	* src/Makefile: added dependency on "acl.h" and "common.h"

1989-10-04  ste_cm

	* src/Makefile:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

1989-10-04  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded2s.c:
	added code for apollo SR10.1 which shows a "+" after mode
	like the 'ls' utility on that system.

1989-09-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: use ACC_PTYPES rather than inline def's

	* src/ded.h: removed some stuff now defined in "ptypes.h"

1989-08-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	revised window-repainting (to reduce number of malloc/free
	calls, which causes my apollo vt100 to barf).  Finished the
	'E' enhancement by making ded scroll to link-target.

	* src/dedfind.c: use 'scroll_to_file()'

1989-08-25  ste_cm

	* src/dedfind.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* src/dedfind.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/dedfind.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* src/dedfind.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1989-08-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c:
	added new procedures 'scroll_to_stat()' and 'scroll_to_file()'
	so 'E'-command on link can go to link-target.

	* src/ded.c: use 'wrepaint()' rather than savewin/unsavewin.  added
	arg to 'realstat()' for 'E'-enhancement.

	* src/ftree.c: use 'wrepaint()' rather than savewin/unsavewin

1989-08-24  ste_cm

	* test/RCS:
	BASELINE Thu Aug 24 10:31:56 EDT 1989 -- support:navi_011(rel2)

	* src/RCS:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

	* RCS: BASELINE Thu Aug 24 10:18:59 EDT 1989 -- support:navi_011(rel2)

1989-08-22  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	augmented 'E' (enter-directory) when applied to symbolic
	link to a file.

1989-08-22  ste_cm

	* src/version.h:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-08-22  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c:
	if user tries to apply 'E' command to symbolic-link-to-file,
	edit instead the directory containing the target file.

1989-08-22  ste_cm

	* src/ded.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-08-22  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: corrected 'destroy' rule

1989-08-22  ste_cm

	* src/Makefile:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-08-22  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/Makefile: corrected 'destroy' rule

1989-08-22  ste_cm

	* test/Makefile:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* test/Makefile: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* test/Makefile: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* test/Makefile: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

	* test/Makefile:
	BASELINE Thu Aug 24 10:31:56 EDT 1989 -- support:navi_011(rel2)

	* test/Makefile:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1989-08-22  Thomas E. Dickey  <dickey@invisible-island.net>

	* Makefile: corrected 'destroy' rule

1989-08-22  ste_cm

	* Makefile:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* Makefile: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* Makefile: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* Makefile:
	BASELINE Thu Aug 24 10:18:59 EDT 1989 -- support:navi_011(rel2)

	* Makefile:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1989-08-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: added a bit of error-recovery to 'read_char()'.
	enhanced '<' command by showing substitution for group.

	* src/dedline.c: modified "<" command so that we show all intermediate
	substitutions (i.e., "%F", "%B" and "#") which would be
	applied to a tagged-group -- before we begin editing.

1989-08-11  ste_cm

	* src/dedline.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-08-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: added/used procedure 'move2row()'

	* src/dlog.c: lint

1989-08-11  ste_cm

	* src/dlog.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* src/dlog.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-08-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dlog.c: wrapped some code around the call on 'cmdch()' to try to
	recover from I/O errors.

1989-08-08  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.h:
	use 'dftenv()' procedure to make EDITOR/BROWSER/PAGER set by
	user's environent (oops...)

1989-08-08  ste_cm

	* src/ded.h:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-07-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedname.c:
	renamed 'fullname()' to 'expand_name()' to avoid conflict with curses-function
	when recompiling this under apollo SR10.1

1989-07-25  ste_cm

	* src/dedname.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* src/dedname.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/dedname.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

	* src/dedname.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1989-06-19  ste_cm

	* test/RCS: BASELINE Mon Jun 19 14:39:05 EDT 1989

	* src/RCS: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* RCS: BASELINE Mon Jun 19 14:20:36 EDT 1989

1989-06-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test2.cmd: added files src/README, src/dedread.[co]

1989-06-16  ste_cm

	* test/test2.cmd:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* test/test2.cmd: BASELINE Mon Jun 19 14:39:05 EDT 1989

	* test/test2.cmd:
	BASELINE Thu Aug 24 10:31:56 EDT 1989 -- support:navi_011(rel2)

1989-06-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test1.cmd: added files src/README, src/dedread.[co]

1989-06-16  ste_cm

	* test/test1.cmd:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* test/test1.cmd: BASELINE Mon Jun 19 14:39:05 EDT 1989

	* test/test1.cmd:
	BASELINE Thu Aug 24 10:31:56 EDT 1989 -- support:navi_011(rel2)

1989-06-13  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	corrected pointer-bug which made CTL/R command fail on sun

1989-06-13  ste_cm

	* src/version.h: BASELINE Mon Jun 19 14:21:57 EDT 1989

1989-06-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c:
	corrected '<' command-substitution, which lost chars after
	the '#' substitution.

1989-06-12  ste_cm

	* src/dedline.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

1989-06-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedread.c: corrected a place where null-pointer was referenced

1989-06-12  ste_cm

	* src/dedread.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* src/dedread.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/dedread.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/dedread.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

	* src/dedread.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1989-06-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c: made read-pattern apply to explicit lists as well.

1989-06-06  ste_cm

	* src/dedscan.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/dedscan.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-06-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	corrected change to 'dedscan()' which broke '@' command.
	modified blip-call in Z-toggle to show successful sccs/RCS lookup.

	* src/ded.c: made blip-call for 'Z' toggle show results like '#'.

1989-06-06  ste_cm

	* src/ded.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

1989-06-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c: last change broke '@'-toggle; fixed.

1989-06-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	simplified logic in dedscan, ftree which sets logical links in file-tree

	* src/ftree.c:
	revised/simplified code which inserts logical links by making this part
	of 'ft_insert()'

1989-06-05  ste_cm

	* src/ftree.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/ftree.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-06-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c: simplified interface to ftree-module

1989-05-31  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedread.c: added 'init_scan()' to fix regular-expression kludge.

	* src/dedscan.c: added 'init_scan()' to fix regular-expression kludge

	* src/ded.c: revised/updated 'usage()'

1989-05-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c: don't purge ftree if we are using read-expression

	* src/dedring.c:
	don't inherit read-expression in new directory (too confusing)

1989-05-26  ste_cm

	* src/dedring.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/dedring.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-05-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: corrected last mod so failed-rescan keeps original
	name to find in resulting list

	* src/ded.hlp: added CTL/R command

1989-05-26  ste_cm

	* src/ded.hlp: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/ded.hlp:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-05-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	added ctl/R command to provide per-directory read-selection expression

	* src/dedread.c: RCS_BASE

	* src/ded.c: added CTL/R command to control read-selection

	* src/dedscan.c:
	use read-selection (CTL/R command) to suppress unwanted names

	* src/dedring.c: added 'toscan', 'scan_expr' to ring-data.
	don't reset 'clr_sh' on entry to ring -- do this only in 'deddoit()'

	* src/ded.h: added 'toscan', 'scan_expr' to global-variables

1989-05-26  ste_cm

	* src/ded.h: BASELINE Mon Jun 19 14:21:57 EDT 1989

1989-05-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: added 'dedread.c' module

1989-05-26  ste_cm

	* src/Makefile: BASELINE Mon Jun 19 14:21:57 EDT 1989

1989-05-10  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedsigs.c: compiled on sun/sparc

1989-05-10  ste_cm

	* src/dedsigs.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* src/dedsigs.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/dedsigs.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-04-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: patched 'restat_W()' function

1989-04-03  ste_cm

	* src/version.h: BASELINE Thu Apr  6 13:14:13 EDT 1989

1989-04-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c:
	use of 'showFILES()' in 'restat_W()' did not work (?).  Recoded
	using 'showLINE()' and 'showC()'.

1989-04-03  ste_cm

	* src/ded.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

1989-04-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/README: RCS_BASE

1989-04-03  ste_cm

	* test/README:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

	* test/README:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* test/README: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* test/README: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* test/README: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

	* test/README: BASELINE Mon Jun 19 14:39:05 EDT 1989

	* test/README: BASELINE Thu Apr  6 13:28:24 EDT 1989

	* test/README:
	BASELINE Thu Aug 24 10:31:56 EDT 1989 -- support:navi_011(rel2)

	* test/README: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

	* test/README:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

	* test/README:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1989-04-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/Makefile: added lint & lincnt rules, as well as README file

1989-04-03  ste_cm

	* test/Makefile: BASELINE Mon Jun 19 14:39:05 EDT 1989

	* test/Makefile: BASELINE Thu Apr  6 13:28:24 EDT 1989

1989-04-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: added README to sources

1989-04-03  ste_cm

	* src/Makefile: BASELINE Thu Apr  6 13:14:13 EDT 1989

1989-03-30  impact

	* src/RCS, RCS: PERMIT FILE

1989-03-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/run_test.sh:
	use -t option of ded so we can ensure we have empty (known-state)
	directory-tree.

1989-03-30  ste_cm

	* test/run_test.sh:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* test/run_test.sh: BASELINE Mon Jun 19 14:39:05 EDT 1989

	* test/run_test.sh: BASELINE Thu Apr  6 13:28:24 EDT 1989

	* test/run_test.sh:
	BASELINE Thu Aug 24 10:31:56 EDT 1989 -- support:navi_011(rel2)

1989-03-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test3.cmd: made this work from empty .ftree file in /tmp

1989-03-30  ste_cm

	* test/test3.cmd:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* test/test3.cmd: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* test/test3.cmd:
	BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* test/test3.cmd: BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

	* test/test3.cmd: BASELINE Mon Jun 19 14:39:05 EDT 1989

	* test/test3.cmd: BASELINE Thu Apr  6 13:28:24 EDT 1989

	* test/test3.cmd:
	BASELINE Thu Aug 24 10:31:56 EDT 1989 -- support:navi_011(rel2)

	* test/test3.cmd:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1989-03-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test2.cmd: made this work properly from empty .ftree file
	also, edited file-owner to LOGNAME

1989-03-30  ste_cm

	* test/test2.cmd: BASELINE Thu Apr  6 13:28:24 EDT 1989

1989-03-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/edit_test.sh:
	edit user-name (assumed to be file-owner!) to LOGNAME string.

1989-03-30  ste_cm

	* test/edit_test.sh:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* test/edit_test.sh: BASELINE Mon Jun 19 14:39:05 EDT 1989

	* test/edit_test.sh: BASELINE Thu Apr  6 13:28:24 EDT 1989

	* test/edit_test.sh:
	BASELINE Thu Aug 24 10:31:56 EDT 1989 -- support:navi_011(rel2)

1989-03-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test1.cmd: altered so this runs from an empty .ftree file

1989-03-30  ste_cm

	* test/test1.cmd: BASELINE Thu Apr  6 13:28:24 EDT 1989

1989-03-30  impact

	* test/RCS: PERMIT FILE

1989-03-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: corrected 'destroy' rule

	* Makefile: added 'all' dependency to 'install'

1989-03-28  ste_cm

	* Makefile: BASELINE Mon Jun 19 14:20:36 EDT 1989

	* Makefile: BASELINE Thu Apr  6 13:12:06 EDT 1989

1989-03-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/test1.cmd, test/test2.cmd: refined to make this more testable

	* src/Makefile: added 'run_tests' rule

	* test/run_test.sh:
	pipe ded-stdout to /dev/tty to avoid problems if the stdout of this script
	is piped somewhere.

	* Makefile: use MAKE-variable to encapsulate recursive-build info.

1989-03-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* Makefile: integration/cleanup for recursive make

1989-03-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* Makefile: added help-file to install-list

	* test/test2.cmd: made this more tolerant of screen size

	* test/run_test.sh, test/Makefile:
	piping ded output on Apollo breaks tests

	* test/run_test.sh, test/Makefile, test/test3.cmd, test/test2.cmd, test/test1.cmd, test/edit_test.sh, test/edit_test.sed:
	New file.

1989-03-24  ste_cm

	* test/edit_test.sed:
	BASELINE Fri Oct 18 16:46:43 1991 -- ANSI conversion; vcs

	* test/edit_test.sed:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* test/edit_test.sed: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* test/edit_test.sed:
	BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* test/edit_test.sed:
	BASELINE Mon Jun 10 10:09:56 1991 -- apollo sr10.3

	* test/edit_test.sed: BASELINE Mon Jun 19 14:39:05 EDT 1989

	* test/edit_test.sed: BASELINE Thu Apr  6 13:28:24 EDT 1989

	* test/edit_test.sed:
	BASELINE Thu Aug 24 10:31:56 EDT 1989 -- support:navi_011(rel2)

	* test/edit_test.sed:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

	* test/edit_test.sed:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

	* test/edit_test.sed:
	BASELINE Thu May  6 14:26:47 1993 -- split from CM_TOOLS #11

1989-03-24  Thomas E. Dickey  <tom@invisible-island.net>

	* test/edittest.sed: RCS_BASE

1989-03-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dlog.c: fixed bugs in command-script found in regression tests

1989-03-24  ste_cm

	* src/dlog.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/dlog.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

1989-03-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: added "-c" option to process command files.
	converted version-date to RCS-format.

	* src/dlog.c: added 'dlog_read()' and local code to support
	command-script.  also, some lint.

	* src/dedscan.c: lint

1989-03-24  ste_cm

	* src/dedscan.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

1989-03-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c:
	added "-c" (command-script) option, and changed version to RCS
	format using sscanf hack.

1989-03-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: store RCS date in 'version[]' rather than SCCS date

	* src/Makefile: revised to CM-standard format

	* Makefile: New file.

1989-03-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dlog.c: hacked varargs stuff to work properly on gould

	* src/dlog.c, src/version.h: sccs2rcs keywords

	* src/version.h: second pass of baseline, ready for porting-tests

	* src/ded.c: made logging work with subprocess.
	avoid writing to standard output

	* src/ded.c: sccs2rcs keywords

	* src/dlog.c:
	mods to work with subprocess-logging, and for port to gould

	* src/dedmake.c: corrected call on 'dlog_char()'

	* src/dedmake.c: sccs2rcs keywords

1989-03-15  ste_cm

	* src/dedmake.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/dedmake.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

	* src/dedmake.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-03-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedsigs.c: integrated with 'dlog' module

	* src/dedsigs.c: sccs2rcs keywords

1989-03-15  ste_cm

	* src/dedsigs.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

1989-03-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c:
	rewrote code which handles common-path (should work properly for relative paths)

	* src/dedscan.c: sccs2rcs keywords

1989-03-14  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: first pass of cleanup for baseline

	* src/ftree.c: sccs2rcs keywords

	* src/ftree.c: use 'dlog' module to log commands

1989-03-14  ste_cm

	* src/ftree.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

1989-03-14  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c: use 'dlog' module to log commands

	* src/dedline.c: added '<' command for fast link-edits.
	use 'dlog' module to log commands.

	* src/dedline.c: sccs2rcs keywords

1989-03-14  ste_cm

	* src/dedline.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

1989-03-14  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/deddoit.c: sccs2rcs keywords

	* src/deddoit.c: use 'dlog' module to log commands

1989-03-14  ste_cm

	* src/deddoit.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* src/deddoit.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/deddoit.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

	* src/deddoit.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-03-14  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: added "-l" (logfile) option.
	use 'dlog' module to log commands

	* src/ded.h: moved externs for 'strchr()', 'strrchr()' here

	* src/ded.h: sccs2rcs keywords

1989-03-14  ste_cm

	* src/ded.h: BASELINE Thu Apr  6 13:14:13 EDT 1989

1989-03-14  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dlog.c: New file.

	* src/deduniq.c: sccs2rcs keywords

	* src/deduniq.c: use 'dlog' module to log commands

1989-03-14  ste_cm

	* src/deduniq.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* src/deduniq.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/deduniq.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

	* src/deduniq.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-03-14  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedfind.c: sccs2rcs keywords

	* src/dedfind.c: use dlog-module to log commands

1989-03-14  ste_cm

	* src/dedfind.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/dedfind.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

	* src/dedfind.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-03-14  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.hlp:
	added "-l" (logfile) option and "<" command for fast link-editing

1989-03-14  ste_cm

	* src/ded.hlp: BASELINE Thu Apr  6 13:14:13 EDT 1989

1989-03-14  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedwait.c: sccs2rcs keywords

	* src/dedwait.c: use 'dlog' module to log commands

1989-03-14  ste_cm

	* src/dedwait.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* src/dedwait.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/dedwait.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* src/dedwait.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/dedwait.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

	* src/dedwait.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

	* src/dedwait.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1989-03-14  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedmake.c: use 'dlog' module to log commands

	* src/dedtype.c: sccs2rcs keywords

	* src/dedtype.c: use 'dlog' module to log commands

1989-03-14  ste_cm

	* src/dedtype.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/dedtype.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

	* src/dedtype.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-03-14  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedname.c: sccs2rcs keywords

	* src/dedname.c: use 'dlog' module to log commands

1989-03-14  ste_cm

	* src/dedname.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/dedname.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

1989-03-14  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: added 'dlog.c' module

	* src/Makefile: sccs2rcs keywords

1989-03-13  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: amended place where I checked result from @,/,? prompt

1989-03-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: corrected some problems with null-strings in ftree

	* src/ftree.c: corrections for null-string in ALL_SHOW and in fd_find

1989-02-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: *** empty log message ***

	* src/dedscan.c: insert links-to-directory as a result of '@' toggle

	* src/dedmake.c: insert new directories into tree

1989-01-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c: corrected decoding of "B" for ">" command.

1989-01-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: added '~'-ftree command

	* src/ded.hlp: added '~' command

	* src/ftree.c: added '~' command; fix (?) to fd_bak, fd_fwd

	* src/ded.c: oops: broke initial setting of sort-option

	* src/version.h: completed current bug-cleanup

	* src/dedline.c:
	do F, B expansion in '>'; check for text-change in '>', '=' before work

	* src/ded.hlp:
	documented 'N'-sort, 'A'-ftree toggle, and F and B expansion in '>'

	* src/README: cleanup misc simple wish-list items

1989-01-23  ste_cm

	* src/README: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/README: BASELINE Thu Apr  6 13:14:13 EDT 1989

	* src/README:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-01-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: added '-t' option and 'N' sort

	* src/dedsort.c: added 'N' sort

	* src/dedsort.c: sccs2rcs keywords

1989-01-23  ste_cm

	* src/dedsort.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/dedsort.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

	* src/dedsort.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1989-01-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c:
	support for '-t' option.  Added 'A' command.  Changed display to show toggles A,I,Z verbosely

1989-01-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.hlp: documented '#' command.

	* src/version.h: '#' command marks duplicated sort-keys

	* src/deduniq.c: New file.

	* src/ded.c: added '#' command to mark duplicated sort-keys

	* src/dedsort.c: added 'dedsort_cmp()' entrypoint for 'deduniq()'

	* src/Makefile: added deduniq.c module for '#' command

1988-09-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: more about blip

	* src/README: blip-bug.

1988-09-13  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedmake.c: oops: forgot to close file after 'creat()'.

	* src/dedsort.c: use external 'ftype()', 'ftype2()'.

1988-09-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c:
	removed redundant loop in 'dedring()' for counting q/Q commands (see: 'ftree.c').

	* src/dedring.c: sccs2rcs keywords

1988-09-12  ste_cm

	* src/dedring.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

1988-09-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: cleaned up the easy (< 1day) bugs.

	* src/deddoit.c: use 'pathcat()'.

	* src/deddump.c: sccs2rcs keywords

	* src/deddump.c: use 'pathcat()'.

1988-09-12  ste_cm

	* src/deddump.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* src/deddump.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/deddump.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* src/deddump.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/deddump.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

	* src/deddump.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

	* src/deddump.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1988-09-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedname.c, src/ded.c: use 'pathcat()'.

	* src/version.h: new version, 'c' command.

	* src/ded.hlp: added 'c' (create) command.

	* src/ded.c: show blip in '@'-toggle; added 'c'-command.

	* src/dedmake.c: New file.

	* src/dedscan.c:
	recoded handling of 'ft_linkto()' versus 'ft_insert()' so that we do
	fewer stats.  The 'ft_linkto()' is invoked only if '@'-toggle is set.
	Also, added 'statMAKE()' to support 'dedmake()'.

	* src/Makefile: added 'dedmake.c' module.

	* src/ftree.c:
	added arg to 'ft_remove()' so we can keep links around til user does a
	scan with '@'-toggle set, or uses 'R' command in ftree.

	* src/README: fix some, find some

	* src/dedtype.c:
	suppress screen-operations during skip, to make this faster (~2).

	* src/dedfind.c, src/dedwait.c: lint

	* src/dedshow.c: sccs2rcs keywords

	* src/dedshow.c: show very long lines via continuation

1988-09-12  ste_cm

	* src/dedshow.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* src/dedshow.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/dedshow.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* src/dedshow.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/dedshow.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

	* src/dedshow.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

	* src/dedshow.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1988-09-09  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: bug fixes

	* src/ftree.c:
	added 'ft_dump2()', fixed handling of "~" in '=' command.

	* src/deddoit.c: lint

1988-09-08  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: added more things.

1988-09-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c:
	rephrased q/Q handling so that it both fixes the bug in 'dedring()',
	as well as re-issues a 'Z' command if we quit from an sccs-directory.

	* src/README: fixes to q/Q in ftree; new ideas.

1988-09-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: fix some, find some.

	* src/dedline.c:
	mods to 'edittext()' so use can edit buffer wider than the available
	screen (auto-scrolls left/right).

	* src/ftree.c:
	use 'rcs_dir()' and 'sccs_dir()' to encapsulate RCS/SCCS directory names.

	* src/dedtype.c: oops: 'clearerr()' resets 'feof()' as well!

	* src/dedscan.c:
	reallocate names instead of adjusting pointers (safer).

	* src/dedline.c: added 'editlink()'.

	* src/version.h: added '>' command.

	* src/README, src/ded.hlp: added '>' link-edit command.

	* src/ded.c: added '>' command.

1988-09-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c: break out of get-loop if interrupt or error.

	* src/version.h:
	common-pathname editing in 'dedscan()' (to use output of 'checkup').

	* src/dedscan.c: eliminate common leading pathname if possible!

	* src/ded.c: remove repeated items in 'argv[]' so 'R' runs fastest.

	* src/README: note for apollo sys5.

1988-08-19  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: fix some, find some.

1988-08-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded2s.c: renamed 'name2s()' to 'ded2string()'.
	broke out 'name2s()' for reuse in 'copy' program.

	* src/ded2s.c: sccs2rcs keywords

1988-08-18  ste_cm

	* src/ded2s.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/ded2s.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

	* src/ded2s.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

1988-08-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: renamed 'name2s()' to 'ded2string()'

	* src/deddoit.c, src/ded.c: renamed 'name2s()' to 'ded2string()'.

1988-08-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: tuning beep's in 'waitmsg()' so we have only one...

	* src/dedscan.c: use 'waitmsg()' when we don't know how we are called!

	* src/dedline.c:
	moved extern-def for erasechar(), killchar() to "ptypes.h".

	* src/ded.hlp: added repeat-count to 'W' and 'l' file-list commands.

	* src/Makefile: use 'copy' to install, not 'cp'.

	* src/version.h: new version.

	* src/dedtype.c: test error return from 'fseek()'; lint.

	* src/ded.c: added repeat-count to 'W' and 'l' commands.

	* src/README: obsoleted more notes.

1988-08-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: *** empty log message ***

1988-08-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c, src/dedline.c, src/dedsort.c: lint

1988-08-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: more possibilities of commands!

	* src/dedline.c: lint after apollo sys5 port.

	* src/ded.hlp: added "d" sort.

	* src/Makefile: misc cleanup after apollo sys5 port.

	* src/ded.c: added "d" sort.

	* src/dedscan.c: added 'dir_order' variable to support "d" sort.

	* src/dedsort.c: added "d" sort.

	* src/ded.h: added '.dord' member to FLIST to support "d" sort.

	* src/version.h: conclude lint/compile on apollo sys5; added "d" sort.

	* src/dedsigs.c:
	forgot SIGHUP in the last change; don't try to ignore SIGTERM.

	* src/ftree.c: lint in apollo sys5 environment

	* src/dedsort.c: some lint in apollo sys5 environment

	* src/dedscan.c: lint in apollo sys5 environment

	* src/dedtype.c: linted in apollo sys5 environment

	* src/ded2s.c, src/dedline.c:
	port to apollo sys5 environment: symbolic links, some lint.

	* src/ded.h: absorbed a lot of definitions into "ptypes.h"

	* src/ded.c: port to apollo sys5 environment: symbolic links.

	* src/dedring.c:
	port to apollo sys5 environment: symbolic links, some lint.

	* src/dedsigs.c:
	tinkering with signals so this works better on apollo sys5 environment

1988-08-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: moved 'blip()' to common library

1988-08-10  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c:
	hack to make the terminal reset ok on exit in apollo sys5-environment.
	still is not right; something about resetty/endwin (?)

	* src/ded.h: made this compile on apollo sys5 environment

	* src/dedline.c: made this compile in apollo sys5-environment

1988-08-09  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: note about beep/blip

	* src/ded.h, src/dedtype.c, src/dedsort.c: lint

1988-08-04  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c:
	use debug-option to show what we try to stat in 'dedscan()'.

	* src/ded.c: added a debug-option.

1988-08-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: rewrote into standard format.

	* src/Makefile: added 'destroy', 'sources' production.

	* src/ded.c:
	tinkering with 'markset()', 'openVIEW()' to avoid infinite loop when
	we adjust viewport size, as well as to make the adjustment a bit smarter.
	Also, added call on 'dedsigs()' so we activate the signal-catching.

	* src/dedline.c:
	lots of tinkering so that we can interrupt group-operations.
	also, make u,g commands map-thru symbolic links like the p-command was.
	(some cleanup of the map-thru logic).

	* src/version.h:
	added signal-handling, and first version of split-screen.

	* src/dedsigs.c: New file.

	* src/deddoit.c:
	fix so that signals don't kill us from child's expiration

	* src/ftree.c: added signal-catcher in 'ft_scan()'.

	* src/README: fixed a bunch of bugs (trying to get rid of this list)

	* src/Makefile: added 'dedsigs.c' module.

1988-08-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/deddoit.c:
	mods to avoid clobbering old-command if no new one is given.
	also, use 'execute()' so we can fix signals there.

	* src/ded.c: ensure that 'to_file()' does its tests after 'viewset()'!

	* src/ded.hlp: adjusted left/right scrolling amount.

	* src/ded.c:
	column-scale on workspace-marker, use count for left/right scroll.

	* src/dedscan.c: use new def's in "ded.h".

	* src/dedname.c: use new def's in "ded.h"

	* src/dedline.c: use new def's in "ded.h".

	* src/dedfind.c, src/ded.c: use new def's in "ded.h"

	* src/ded.h: added some def's so we needn't use subscripted 'flist[]'.

	* src/deddoit.c: use new def's in "ded.h"

	* src/dedsort.c: use new procedure 'findFILE()'.

	* src/ded.c:
	implemented a crude split-window toggle (does not always update tags,
	and inline-commands).  want to modify dedring so that the split-portion is a
	separate set of data entirely, so this problem will go away -- sort of.

	* src/dedscan.c: lint

1988-08-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedline.c: New file.

	* src/ded.c:
	broke 'dedline.c' out of 'ded.c', since it was getting too big.

	* src/Makefile:
	added auto-get production; broke 'dedline.c' out of 'ded.c'

	* src/ded.c: moved Xbase, Ybase to ring-structure.

	* src/dedring.c: save/restore Xbase,Ybase

	* src/ded.h: moved Xbase,Ybase to ring-structure.

1988-07-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded2s.c:
	added fall-thru for '_toupper()', which wasn't defined on the sun.

	* src/README: note about signals.

1988-07-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c:
	modified 'editfile()' to support X-window, so we call it even on non-Apollo systems.

	* src/ded.c:
	use 'execute()' as the guts of 'forkfile()', since it works faster and
	also parses arguments.

	* src/dedsort.c:
	correction to 'v', 'y' sorting -- only 'z_time' is guaranteed to be set.

	* src/ded.hlp: added level-count to ftree's R-command.

	* src/ftree.c: reversed sense of 'I' command.
	correctly show need for 'W' after ft_purge is invoked; also show "?" in header
	if ft_write fails.

	* src/ftree.c: optimized 'fd_slow()'

1988-07-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: lint

	* src/version.h:
	added repeat/level count argument to directory-tree 'R' command.

	* src/ftree.c:
	added repeat-count to 'R' command so it can recur to a given number of
	levels.  altered pacifier display to make it more descriptive to accommodate.

1988-07-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: added tagsort-capability.

	* src/ded.hlp: added description of 'tagsort' capability.

	* src/dedsort.c:
	implement tagsort: if set, tagged files are sorted to the beginning of
	the sorted list.

	* src/dedring.c: save/restore 'tagsort'.

	* src/ded.c:
	if '+' follows 'r' or 's', set tagsort before obtaining sort-key.

	* src/ded.h: added 'tagsort' global.

1988-07-08  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: ftree-rename not done, but harmless.

	* src/dedring.c: corrections to code which save/restore Y_opt, AT_opt.

1988-07-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c:
	rewrote 'ft_rename()' so that children are moved with parent.

1988-06-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c:
	added temporary '=' command to test 'ft_rename'.  Some other massaging
	(e.g., 'waitmsg()', 'node2col()', 'node2row()').

	* src/ded.c:
	changed args on 'waitmsg()' so we can use it from 'ftree' to replace 'dedmsg()'

1988-06-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: more on renaming directories.

	* src/ftree.c:
	recoded 'ft_purge()' -- don't need recursive marking via 'do_purge()'!

	* src/dedring.c:
	recoded 'dedrung()' -- wasn't working with abs(count) > 1.

1988-06-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: new release: added '@' toggle.

	* src/ded.c: save/restore AT_opt if needed in 'editprot()'.

	* src/ded2s.c: for '@' toggle, keep showing link-to-directory name.

	* src/dedscan.c: more tinkering with AT_opt versus ltxt values.

	* src/version.h: added '@' toggle.

	* src/dedring.c: added AT_opt to global state.

	* src/ded.c: corrected fall-thru in 'failed()' for apollo.
	added code to toggle symbolic-link display (AT_opt).

	* src/ded2s.c:
	added code to show filemode of symbolic links in uppercase if AT_opt is set.

	* src/ded.h: added AT_opt (for '@' toggle)

	* src/ded.hlp:
	added '@' toggle so we can control display of symbolic links vs target

1988-06-13  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: more bugss..

1988-06-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h, src/dedtype.c: added screen-dump command.

	* src/deddump.c: New file.

	* src/ded.hlp: added screen-dump command.

	* src/Makefile: added 'deddump.c' module.

	* src/ded.c, src/ftree.c: added screen-dump command.

1988-06-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h:
	fix for 'R'-exit. Store ".ftree" in process's home, not login-home.

	* src/ded.c:
	corrected attempt to make 'R' leave cursor on the current file.

	* src/README: fixed 'R'-exit hole.

	* src/ded.c:
	Recover in 'R' by trying to do a 'F' command if we find no files.

	* src/ded.h: use 'gethome()' for ".ftree" file.

	* src/ftree.c: use 'gethome()' for ".ftree".

1988-06-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: correction to make 'y'-sort work ok.

	* src/ftree.c: added SCCS_DIR environment variable.

	* src/dedscan.c: added 'z_lock' field for rcs/sccs.

	* src/ded2s.c: added 'Y' (lock-owner) field.

	* src/ded.hlp: added Y-toggle, y-sort.

	* src/dedring.c: added 'Y'-toggle, reset with 'V', 'Z'.

	* src/version.h: 'Y' toggle does rcs/sccs locker.

	* src/ded.c: added 'Y' toggle, 'y'-sort.

	* src/dedsort.c: added 'y'-sort for rcs/sccs lock-owner.

	* src/ded.h:
	added data to control Y-toggle, y-sort for rcs/sccs lock-owner.

1988-05-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/README: new ideas.

	* src/version.h: new version (no new features)

	* src/ded.c:
	make 'failed()' do self-kill only if a message is given (covers up the
	case in which no files are found on initial scan).

	* src/dedscan.c:
	chunk reallocation of 'flist[]' so we don't fragment on big directories.

1988-05-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c:
	corrected some refresh-related stuff with 'edittext()' calls & tags.

	* src/dedring.c:
	reset V,Z sccs/rcs flags when entering new directory with 'E'.

1988-05-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: added 'all' production.

1988-05-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: use 'setmtime()', corrected masking in 'replay()'.

	* src/ded.hlp: added '.' sort-key.

	* src/version.h: Use 'dotcmp()', 'setmtime()'.

	* src/ded.h, src/dedscan.c: absorbed 'z_rels' into 'z_vers'.

	* src/dedsort.c: use 'dotcmp()' for RCS/SCCS version & '.' sorts.

	* src/ded2s.c: absorbed 'z_rels' into 'z_vers'.

1988-05-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.hlp: Documented extended ''-substitution.

	* src/version.h: Added hook for 'rcslast()'.

	* src/dedscan.c: added hook for 'rcslast()'.

	* src/ded.h: added 'Z_RCS' definition.

	* src/version.h: '' shell substitution completed.

	* src/ded2s.c: show Apollo inodes in hex.

	* src/dedring.c: added 'dedrung()' entrypoint.

	* src/deddoit.c: recoded ''-substitution

	* src/README: fixed some stuff for gould port.

1988-05-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: lint (gould)

	* src/ded.h: gould has obsolete 'off_t' definition.

	* src/dedtype.c: lint (gould)

1988-05-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c: getcwd/getwd porting.

	* src/dedscan.c: getwd/getcwd porting.

	* src/ded.c, src/ded.h: getcwd/getwd porting.

	* src/README: more bugs

	* src/ftree.c: patched intermittent refresh of 'dedrang()' markers.

	* src/version.h: resizewin fixed!

	* src/ded.c:
	permit 'tb' walkback after failure on Apollo by using 'kill' rather than 'exit()'.

	* src/dedscan.c: do ft_linkto only for links to directory.

	* src/README: new version, new bugs

	* src/ftree.c:
	Added I, U commands.  Added 'RCS' under 'sccs'-directory treatment.

	* src/ded.hlp: added I, U toggles to ftree.

1988-05-13  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: make this portable to Gould.

1988-05-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedname.c: New file.

	* src/version.h: use 'rename()' on bsd4.2 to rename directories.

	* src/README: more bugs...

	* src/ded.c: broke out 'dedname()'; lint.

	* src/dedfind.c, src/ded2s.c: lint

	* src/ftree.c: added (first cut) of 'ft_rename()' entrypoint.

	* src/ded.h: more lint-definitions.

	* src/Makefile: broke 'dedname.c' out of 'ded.c'

1988-05-10  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: use 'txtalloc()'.

	* src/ftree.c: recoded use of 'stralloc'.

	* src/dedscan.c, src/dedring.c: recoded use of 'free', 'stralloc'

	* src/dedfree.c: recoded use of 'free'

	* src/dedfree.c: sccs2rcs keywords

1988-05-10  ste_cm

	* src/dedfree.c:
	BASELINE Fri Oct 27 12:27:25 1989 -- apollo SR10.1 mods + ADA_PITS 4.0

	* src/dedfree.c: BASELINE Mon Apr 30 09:54:01 1990 -- (CPROTO)

	* src/dedfree.c: BASELINE Mon Aug 13 15:06:41 1990 -- LINCNT, ADA_TRANS

	* src/dedfree.c: BASELINE Mon Jun 19 14:21:57 EDT 1989

	* src/dedfree.c: BASELINE Thu Apr  6 13:14:13 EDT 1989

	* src/dedfree.c:
	BASELINE Thu Aug 24 10:20:06 EDT 1989 -- support:navi_011(rel2)

	* src/dedfree.c:
	BASELINE Thu Mar 29 07:37:55 1990 -- maintenance release (SYNTHESIS)

1988-05-10  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: use 'txtalloc()' rather than 'stralloc()'.

	* src/ded.h: added 'FREE' macro.

1988-05-09  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: ironed out differences between Apollo/Sun versions.

	* src/ftree.c:
	adjusted 'E' command on gould port so that we chdir to the parent
	directory before interpreting a link -- needed this case for gould port.

	* src/README: resolved some stuff in Gould port.

	* src/ded.c:
	tinkering with screen-refresh between directory/file lists.

	* src/dedring.c: lint, for gould port.

	* src/ded2s.c: gould port: sockets do not have major/minor numbers

	* src/dedfree.c: lint

	* src/dedsort.c:
	fixed (from gould port) the s-field sorting for devices.

	* src/dedscan.c: corrected pathname for ftree (gould port)

1988-05-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: port to gould

	* src/README: bugs to resolve after first gould port.

	* src/ded.c:
	markC() caused segmentation violation on gould, from E in ftree!

	* src/ftree.c:
	corrected bug in link-resolution for 'E' command (gould port)

	* src/dedscan.c: forgot to check for ".", ".." names (gould-port)

	* src/ded2s.c: lint

	* src/version.h: W,Q commands added to ftree.

	* src/dedfind.c:
	recoded use of regex-procedures to make this more portable.

	* src/README: new notes.

	* src/ftree.c: recoded use of regex to make it more portable.

	* src/ded.h:
	added macros to cover differences in regex between SYSTEM5/BSD4.x

	* src/ded.h: added DOALLOC macro for lint.

	* src/dedring.c: lint: DOALLOC.
	Also, added code to coerce translation of pathnames in case a symbolic link was
	not translated in the given argument (happens in '@' command of ftree).

	* src/dedtype.c, src/ftree.c, src/dedscan.c: lint: DOALLOC

	* src/ded.hlp: added 'W' command to directory-tree.

	* src/ftree.c:
	Added 'W' command, modified newline & return for cursor movement.

	* src/ded.hlp: documents q/Q in directory tree.

	* src/ftree.c: added 'Q' command.

1988-05-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c: added 'Q' command.

1988-05-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: purge obsolete items in 'ft_scan()'.

	* src/README: fixed some bugs, added more.

	* src/ftree.c: added J,K cursor movement.

	* src/version.h: more fixes to symbolic links

	* src/ded.c: added P,s,t subcommands to 'p' command.

	* src/ded.hlp: added some subcommands to 'p'.

	* src/ftree.c: more fixes for symbolic links (F,E,B commands).

1988-05-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c:
	force 'q' command to start with the current directory, not the location
	in the directory tree.

	* src/ded.c: fixes for latest mods to ftree 'q' command.

	* src/version.h: first release version (documented)

	* src/dedtype.c:
	fixes to window-refresh, repeat-count (for forward-command) and allocation (was static!).

	* src/ded.hlp: moved to-do list to 'Bugs'.

	* src/README: New file.

	* src/ftree.c:
	made 'q' command free current dedring-list until there is only one -- then return

	* src/dedring.c:
	corrected repeat count on F,B.  Added 'q' (quit-current-list).

	* src/Makefile: broke out 'dedfree.c'

	* src/dedfree.c: New file.

	* src/dedscan.c:
	broke out 'dedfree()' so I can use it from 'dedring()'.

	* src/ded.c: added arrow keys to inline field editing.

	* src/ftree.c: added '^' command.

	* src/ftree.c: invoke 'resize()' on 'w' refresh.

1988-04-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedring.c: forgot to sort new lists after reading them.

	* src/ftree.c: made directory-ring markers more visible.
	also, in 'p' command, must set pointer to first non-purged *visible* position.

	* src/version.h: ded is essentially complete...

	* src/ded.c:
	lots of cleanup: ftree integration, inline-editor changes (like rawgets)
	and the "=" rename command, as well as '"' replay-command.

	* src/ded.hlp:
	more integration of ftree; made inline editor more like rawgets

	* src/dedring.c: New file.

	* src/ftree.c: integrated with 'dedring()' module

1988-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: replaced 'fring.c' by 'dedring.c'

	* src/ded.h:
	added top_argc, top_argv to simplify 'dedring()' interface.

	* src/version.h: fixes to 'rawgets()'.

	* src/deddoit.c: let 'rawgets()' print its buffer itself!

	* src/ftree.c: let 'rawgets()' print its own buffer!

	* src/Makefile: broke 'cmdch.h' out of 'ded.h'

	* src/ded.h: broke cmdch.h out of ded.h

1988-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c:
	After 'p' (purge), move above changes to simplify repositioning to a
	legal row.  Also, make 'R' do scan a la file-list.

1988-04-22  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.hlp: began documenting directory-tree

	* src/ftree.c: added 'ft_linkto' entrypoint.

	* src/dedscan.c: integration with 'ftree' module

	* src/dedwait.c: reinstated argument to 'retouch()'.

	* src/ded.c:
	reinstated argument of 'retouch()'; moved resizewin() code there.

	* src/ftree.c: modified interface to 'unsavewin()'.

	* src/dedtype.c: modified interface to unsavewin().

1988-04-21  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: refresh/resize enhancements

	* src/ded.c:
	generally fixed up refresh/repaint using new modules savewin & resizewin

	* src/ded.hlp: partial fix to refresh problems.

	* src/dedtype.c: added 'w' (refresh) command.

	* src/ftree.c:
	corrected 'w' (refresh) so it works properly with curses.

	* src/dedwait.c: lint

1988-04-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/version.h: 'U' command affects '#'-substitution now too.

	* src/ded2s.c:
	integrated guts of 'fixname()' here so we can issue Aegis-style commands
	when 'U' command is set.

	* src/ded.c:
	integrated 'fixname()', 'name2s()' so we can issue Aegis-style commands.

1988-04-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: don't give up if ".ftree" hasn't been initialized!

	* src/ded.c: revised dynamics of 'chgrp' interface.

1988-03-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c:
	forgot to save ".ftree" when 'e' command is invoked from ft_view().

1988-03-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: Began interface to 'ftree' module (far from done!).
	Added ':' command (to exploit 'rawgets'), corrected bug in '+', '-' which
	caused long delay on long report-count.  Corrections to screen-refresh.

	* src/deddoit.c: had a refresh in the wrong place

	* src/version.h: --enough for today

	* src/ded.hlp: implemented ':'

	* src/version.h: --

	* src/deddoit.c:
	Implemented ':'-command, buffer-limit check & escaped-insertion of '#', ''.

	* src/dedfind.c: use 'rawgets()' for input.

	* src/ftree.c: comments

	* src/Makefile: mods to make 'ftree.c', 'fring.c' part of 'ded'.

1988-03-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c:
	don't call 'ft_scan()' from 'i' command if item is a link!

	* src/ftree.c:
	made this module run standalone (again), this time as a bsd4.2 program.

	* src/ded.h: moved directory-op definitions here from 'dedscan.c'

	* src/dedscan.c:
	moved <sys/dir.h> & related definitions to "ded.h" to share with ftree.c

	* src/Makefile:
	temporary: build 'ftree' to get it working in bsd4.2, standalone.

1988-02-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c:
	Make 'l' command refresh entire group, some cleanup of 'restat()' calls.

	* src/deddoit.c: Don't refresh screen if we had a null command.

1987-12-14  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.hlp: added pad-edit commands.

	* src/ded.c, src/version.h: added 'padedit()' module.

	* src/ftree.c:
	revised ".ftree" data format to permit long bsd-style names.

1987-12-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c:
	first cut at handling APOLLO environment ("//" prefix on nodenames).

	* src/ded.c: use 'to_exit()' to make clean exit from curses-windows.

1987-12-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile:
	oops: BSD 'make' does not inherit environment variables...

	* src/ded.c:
	Broke out 'command()' as 'cmdch()'.  Renamed 'fatal()' to 'failed()'.
	Added '*', '^', '' commands.

	* src/version.h: more cleanup.

	* src/dedwait.c: New file.

	* src/deddoit.c:
	Changed 'text[]' to global 'bfr_sh[]'.  Added logic for 'clr_sh'.

	* src/Makefile: Made a more conventional install-production.
	Put most objects into archive to shorten the length of command-lines.

	* src/ded.hlp: corrections to '', '*', '.' documentation.  Added '^'.

	* src/dedshow.c: New file.

	* src/ded.h: added global state of SHELL-command (bfr_sh, clr_sh).

	* src/dedtype.c: broke out 'command()' as 'cmdch()'

1987-11-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: more error checking

1987-11-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.c: added sccs-related commands.
	reserved commands in main-switch (for later development).
	linted.

	* src/version.h: sccs support

	* src/version.h: New file.

	* src/Makefile: added version-control string.

	* src/ded2s.c:
	added support for sccs-related displays, as well as for 'U' (unix/apollo) toggle.

	* src/dedsort.c: added sccs-related sorting.

	* src/ded.hlp: added sccs-related commands.

	* src/ded.h: added sccs-related support variables.

	* src/dedscan.c: lint, added support for sccs-data

1987-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/deddoit.c, src/dedtype.c: lint, sccs-id.

	* src/Makefile: made lint workable on apollo with 'tdlint' hack.

	* src/dedfind.c: lint, sccs-id.

1987-11-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ded.hlp: New file.

1987-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile, src/ded.c, src/dedsort.c, src/ded2s.c, src/ded.h:
	New file.

1987-11-19  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedtype.c, src/dedfind.c, src/deddoit.c: New file.

1987-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/dedscan.c: New file.

1987-10-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: corrected test-for-permissions in 'ft_write()'.

1987-09-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c:  added a regular search facility a la vi.

1987-09-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: added '@' (position-at-directory) command.

1987-09-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: mods to reduce calls on 'getcwd()'.

1987-09-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c:
	broke out 'abspath()' to try to reduce the clutter caused by 'denode()'!

	* src/ftree.c:
	ensure that an arbitrary node will be visible (e.g., when originally invoking the display).

1987-09-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: mods to support 'fring' module.
	Corrected 'fd_prep()' to strip ".." in relative paths.

	* src/ftree.c:
	workable interface with 'fl'; still have to do 'fring' module.

1987-09-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: first version integrated with 'fl'.

1987-09-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: forward/backward scrolling complete.

1987-09-10  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: move cursor movement.

	* src/ftree.c: improvements to scrolling

1987-09-08  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/ftree.c: New file.

